Debian Bug report logs - #685726
linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Hrayr Grigoryan <hrayr@infotech.am>

Date: Thu, 23 Aug 2012 23:33:02 UTC

Severity: serious

Tags: moreinfo, patch, pending, security, upstream

Found in version linux/3.2.23-1

Fixed in version linux/3.2.39-1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hrayr@infotech.am, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Thu, 23 Aug 2012 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hrayr Grigoryan <hrayr@infotech.am>:
New Bug report received and forwarded. Copy sent to hrayr@infotech.am, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Aug 2012 23:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hrayr Grigoryan <hrayr@infotech.am>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Fri, 24 Aug 2012 03:30:18 +0400
Package: src:linux
Version: 3.2.23-1
Severity: critical
Tags: lfs
Justification: causes serious data loss

Dear Maintainer,

   When I'm trying to format file image with the command "mkfs -t ext4 file.img", it returns the following errors
[  142.328065] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1022, depth: 2 pblock 0
[  142.328387] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1023, depth: 2 pblock 0
[  142.328699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 9254, depth: 2 pblock 0
[  142.329018] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1057, depth: 2 pblock 0

   The problem visible only for big images f.x. 160Gb and more.
   I did the tests on different hardwares, but result the same. 


-- Package-specific info:
** Version:
Linux version 3.2.0-3-amd64 (Debian 3.2.23-1) (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-8) ) #1 SMP Mon Jul 23 02:45:17 UTC 2012

** Command line:
BOOT_IMAGE=/vmlinuz-3.2.0-3-amd64 root=UUID=7d0da86e-f774-4008-87fb-1a120de8c5bf ro quiet

** Tainted: O (4096)
 * Out-of-tree module has been loaded.

** Kernel log:
[  142.293445] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 928, depth: 2 pblock 0
[  142.293765] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 929, depth: 2 pblock 0
[  142.294084] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 930, depth: 2 pblock 0
[  142.294417] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 931, depth: 2 pblock 0
[  142.294731] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 932, depth: 2 pblock 0
[  142.295053] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 933, depth: 2 pblock 0
[  142.295375] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 934, depth: 2 pblock 0
[  142.295686] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 935, depth: 2 pblock 0
[  142.296010] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 936, depth: 2 pblock 0
[  142.296333] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 937, depth: 2 pblock 0
[  142.296648] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 938, depth: 2 pblock 0
[  142.297005] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 939, depth: 2 pblock 0
[  142.297302] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 940, depth: 2 pblock 0
[  142.297619] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 941, depth: 2 pblock 0
[  142.297943] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 942, depth: 2 pblock 0
[  142.298268] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 943, depth: 2 pblock 0
[  142.298591] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 944, depth: 2 pblock 0
[  142.298899] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 945, depth: 2 pblock 0
[  142.299221] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 946, depth: 2 pblock 0
[  142.299539] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 947, depth: 2 pblock 0
[  142.299861] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 948, depth: 2 pblock 0
[  142.300164] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 949, depth: 2 pblock 0
[  142.300486] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 950, depth: 2 pblock 0
[  142.300798] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 951, depth: 2 pblock 0
[  142.301110] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 952, depth: 2 pblock 0
[  142.301430] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 953, depth: 2 pblock 0
[  142.301752] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 954, depth: 2 pblock 0
[  142.302137] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 955, depth: 2 pblock 0
[  142.302550] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 956, depth: 2 pblock 0
[  142.302862] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 957, depth: 2 pblock 0
[  142.303174] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 958, depth: 2 pblock 0
[  142.303486] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 959, depth: 2 pblock 0
[  142.303798] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 960, depth: 2 pblock 0
[  142.304127] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 961, depth: 2 pblock 0
[  142.304442] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 962, depth: 2 pblock 0
[  142.304756] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 963, depth: 2 pblock 0
[  142.305074] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 964, depth: 2 pblock 0
[  142.305458] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 965, depth: 2 pblock 0
[  142.305775] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 966, depth: 2 pblock 0
[  142.306140] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 967, depth: 2 pblock 0
[  142.306558] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 968, depth: 2 pblock 0
[  142.306885] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 969, depth: 2 pblock 0
[  142.307201] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 970, depth: 2 pblock 0
[  142.307512] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 971, depth: 2 pblock 0
[  142.307816] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 972, depth: 2 pblock 0
[  142.308133] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 973, depth: 2 pblock 0
[  142.308440] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 974, depth: 2 pblock 0
[  142.308751] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 975, depth: 2 pblock 0
[  142.309064] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 976, depth: 2 pblock 0
[  142.309381] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 977, depth: 2 pblock 0
[  142.309699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 978, depth: 2 pblock 0
[  142.310009] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 979, depth: 2 pblock 0
[  142.310324] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 980, depth: 2 pblock 0
[  142.310646] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 981, depth: 2 pblock 0
[  142.310968] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 982, depth: 2 pblock 0
[  142.311290] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 983, depth: 2 pblock 0
[  142.311601] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 984, depth: 2 pblock 0
[  142.311914] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 985, depth: 2 pblock 0
[  142.312232] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 986, depth: 2 pblock 0
[  142.312542] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 987, depth: 2 pblock 0
[  142.312865] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 988, depth: 2 pblock 0
[  142.313185] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 989, depth: 2 pblock 0
[  142.313502] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 990, depth: 2 pblock 0
[  142.313804] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 991, depth: 2 pblock 0
[  142.314148] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 992, depth: 2 pblock 0
[  142.314567] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 993, depth: 2 pblock 0
[  142.314892] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 994, depth: 2 pblock 0
[  142.315209] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 995, depth: 2 pblock 0
[  142.315537] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 996, depth: 2 pblock 0
[  142.315858] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 997, depth: 2 pblock 0
[  142.316174] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 998, depth: 2 pblock 0
[  142.316499] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 999, depth: 2 pblock 0
[  142.316825] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1000, depth: 2 pblock 0
[  142.317143] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1001, depth: 2 pblock 0
[  142.317468] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1002, depth: 2 pblock 0
[  142.317782] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1003, depth: 2 pblock 0
[  142.318135] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1004, depth: 2 pblock 0
[  142.318564] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1005, depth: 2 pblock 0
[  142.318885] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1006, depth: 2 pblock 0
[  142.319218] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1007, depth: 2 pblock 0
[  142.319530] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1008, depth: 2 pblock 0
[  142.319849] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1009, depth: 2 pblock 0
[  142.320172] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1010, depth: 2 pblock 0
[  142.320494] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1011, depth: 2 pblock 0
[  142.320810] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1012, depth: 2 pblock 0
[  142.321130] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1013, depth: 2 pblock 0
[  142.321444] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1014, depth: 2 pblock 0
[  142.321754] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1015, depth: 2 pblock 0
[  142.322134] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1016, depth: 2 pblock 0
[  142.322556] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1017, depth: 2 pblock 0
[  142.322889] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1018, depth: 2 pblock 0
[  142.325309] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1019, depth: 2 pblock 0
[  142.326793] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1024, depth: 2 pblock 0
[  142.327104] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1020, depth: 2 pblock 0
[  142.327419] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 18382848, depth: 2 pblock 0
[  142.327734] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1021, depth: 2 pblock 0
[  142.328065] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1022, depth: 2 pblock 0
[  142.328387] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1023, depth: 2 pblock 0
[  142.328699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 9254, depth: 2 pblock 0
[  142.329018] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1057, depth: 2 pblock 0

** Model information
sys_vendor: Gigabyte Technology Co., Ltd.
product_name: P67-DS3-B3
product_version:  
chassis_vendor: Gigabyte Technology Co., Ltd.
chassis_version:  
bios_vendor: Award Software International, Inc.
bios_version: F1
board_vendor: Gigabyte Technology Co., Ltd.
board_name: P67-DS3-B3
board_version: x.x

** Loaded modules:
pci_stub
vboxpci(O)
vboxnetadp(O)
vboxnetflt(O)
vboxdrv(O)
nfsd
nfs
nfs_acl
auth_rpcgss
fscache
lockd
sunrpc
nf_nat_tftp
nf_nat_irc
nf_nat_ftp
nf_conntrack_tftp
nf_conntrack_irc
nf_conntrack_ftp
iptable_mangle
iptable_nat
nf_nat
ipt_REJECT
nf_conntrack_ipv4
nf_defrag_ipv4
xt_state
nf_conntrack
xt_tcpudp
iptable_filter
ip_tables
x_tables
bridge
stp
snd_hda_codec_hdmi
snd_hda_codec_realtek
nouveau
mxm_wmi
wmi
video
ttm
snd_hda_intel
drm_kms_helper
snd_hda_codec
drm
snd_hwdep
snd_pcm
i2c_algo_bit
snd_page_alloc
snd_seq
snd_seq_device
snd_timer
snd
coretemp
crc32c_intel
ghash_clmulni_intel
cryptd
iTCO_wdt
evdev
usblp
soundcore
i2c_i801
button
pcspkr
i2c_core
parport_pc
parport
acpi_cpufreq
mperf
processor
iTCO_vendor_support
thermal_sys
ext4
crc16
jbd2
mbcache
usbhid
hid
sd_mod
crc_t10dif
ata_generic
ata_piix
r8169
mii
ehci_hcd
libata
scsi_mod
usbcore
usb_common

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 2nd Generation Core Processor Family DRAM Controller [8086:0100] (rev 09)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port [8086:0101] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: f9000000-faffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000efffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [88] Subsystem: Giga-byte Technology Device [1458:5000]
	Capabilities: [80] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
		Address: fee0f00c  Data: 4159
	Capabilities: [a0] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #2, Speed 5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <4us
			ClockPM- Surprise- LLActRep- BwNot+
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #1, PowerLimit 0.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet+ LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Not Supported, TimeoutDis- ARIFwd-
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed+ WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
	Capabilities: [140 v1] Root Complex Link
		Desc:	PortNumber=02 ComponentID=01 EltType=Config
		Link0:	Desc:	TargetPort=00 TargetComponent=01 AssocRCRB- LinkType=MemMapped LinkValid+
			Addr:	0000000000009000
	Kernel driver in use: pcieport

00:16.0 Communication controller [0780]: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 [8086:1c3a] (rev 04)
	Subsystem: Giga-byte Technology Device [1458:1c3a]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 12
	Region 0: Memory at fbfff000 (64-bit, non-prefetchable) [size=16]
	Capabilities: [50] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [8c] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000

00:1a.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 [8086:1c2d] (rev 05) (prog-if 20 [EHCI])
	Subsystem: Giga-byte Technology Device [1458:5006]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fbffe000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller [8086:1c20] (rev 05)
	Subsystem: Giga-byte Technology Device [1458:a002]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 42
	Region 0: Memory at fbff8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4171
	Capabilities: [70] Express (v1) Root Complex Integrated Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE- FLReset+
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed unknown, Width x0, ASPM unknown, Latency L0 <64ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed unknown, Width x0, TrErr- Train- SlotClk- DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
		VC1:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=1 ArbSelect=Fixed TC/VC=02
			Status:	NegoPending- InProgress-
	Capabilities: [130 v1] Root Complex Link
		Desc:	PortNumber=0f ComponentID=00 EltType=Config
		Link0:	Desc:	TargetPort=00 TargetComponent=00 AssocRCRB- LinkType=MemMapped LinkValid+
			Addr:	00000000fed1c000
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 [8086:1c10] (rev b5) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f0000000-f01fffff
	Prefetchable memory behind bridge: 00000000f0200000-00000000f03fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #1, Speed 5GT/s, Width x1, ASPM L0s, Latency L0 <1us, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x0, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug+ Surprise+
			Slot #16, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet- Interlock-
			Changed: MRL- PresDet- LinkState-
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
		DevCtl2: Completion Timeout: 260ms to 900ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Giga-byte Technology Device [1458:5001]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 3 [8086:1c14] (rev b5) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Prefetchable memory behind bridge: 00000000fbe00000-00000000fbefffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #3, Speed 5GT/s, Width x1, ASPM L0s L1, Latency L0 <512ns, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #2, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet- LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
		DevCtl2: Completion Timeout: 260ms to 900ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Giga-byte Technology Device [1458:5001]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev b5) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=00, secondary=04, subordinate=05, sec-latency=0
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: [40] Express (v2) Root Port (Slot+), MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <64ns, L1 <1us
			ExtTag- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 128 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr+ TransPend-
		LnkCap:	Port #4, Speed 5GT/s, Width x1, ASPM L0s L1, Latency L0 <1us, L1 <4us
			ClockPM- Surprise- LLActRep+ BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk-
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive+ BWMgmt+ ABWMgmt-
		SltCap:	AttnBtn- PwrCtrl- MRL- AttnInd- PwrInd- HotPlug- Surprise-
			Slot #3, PowerLimit 10.000W; Interlock- NoCompl+
		SltCtl:	Enable: AttnBtn- PwrFlt- MRL- PresDet- CmdCplt- HPIrq- LinkChg-
			Control: AttnInd Unknown, PwrInd Unknown, Power- Interlock-
		SltSta:	Status: AttnBtn- PowerFlt- MRL- CmdCplt- PresDet+ Interlock-
			Changed: MRL- PresDet- LinkState+
		RootCtl: ErrCorrectable- ErrNon-Fatal- ErrFatal- PMEIntEna- CRSVisible-
		RootCap: CRSVisible-
		RootSta: PME ReqID 0000, PMEStatus- PMEPending-
		DevCap2: Completion Timeout: Range BC, TimeoutDis+ ARIFwd-
		DevCtl2: Completion Timeout: 260ms to 900ms, TimeoutDis- ARIFwd-
		LnkCtl2: Target Link Speed: 5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -3.5dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [80] MSI: Enable- Count=1/1 Maskable- 64bit-
		Address: 00000000  Data: 0000
	Capabilities: [90] Subsystem: Giga-byte Technology Device [1458:5001]
	Capabilities: [a0] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-

00:1d.0 USB controller [0c03]: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 [8086:1c26] (rev 05) (prog-if 20 [EHCI])
	Subsystem: Giga-byte Technology Device [1458:5006]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at fbffd000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Capabilities: [98] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ehci_hcd

00:1f.0 ISA bridge [0601]: Intel Corporation P67 Express Chipset Family LPC Controller [8086:1c46] (rev 05)
	Subsystem: Giga-byte Technology Device [1458:5001]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>

00:1f.2 IDE interface [0101]: Intel Corporation 6 Series/C200 Series Chipset Family 4 port SATA IDE Controller [8086:1c00] (rev 05) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Giga-byte Technology Device [1458:b002]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at ff00 [size=8]
	Region 1: I/O ports at fe00 [size=4]
	Region 2: I/O ports at fd00 [size=8]
	Region 3: I/O ports at fc00 [size=4]
	Region 4: I/O ports at fb00 [size=16]
	Region 5: I/O ports at fa00 [size=16]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [b0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller [8086:1c22] (rev 05)
	Subsystem: Giga-byte Technology Device [1458:5001]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at fbffc000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 0500 [size=32]
	Kernel driver in use: i801_smbus

00:1f.5 IDE interface [0101]: Intel Corporation 6 Series/C200 Series Chipset Family 2 port SATA IDE Controller [8086:1c08] (rev 05) (prog-if 85 [Master SecO PriO])
	Subsystem: Giga-byte Technology Device [1458:b002]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at f800 [size=8]
	Region 1: I/O ports at f700 [size=4]
	Region 2: I/O ports at f600 [size=8]
	Region 3: I/O ports at f500 [size=4]
	Region 4: I/O ports at f400 [size=16]
	Region 5: I/O ports at f300 [size=16]
	Capabilities: [70] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [b0] PCI Advanced Features
		AFCap: TP+ FLR+
		AFCtrl: FLR-
		AFStatus: TP-
	Kernel driver in use: ata_piix

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT218 [GeForce 8400 GS] [10de:10c3] (rev a2) (prog-if 00 [VGA controller])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f9000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at ee000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at df00 [size=128]
	[virtual] Expansion ROM at e0000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [78] Express (v2) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s unlimited, L1 <64us
			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <4us
			ClockPM+ Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Not Supported, TimeoutDis+
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
	Capabilities: [128 v1] Power Budgeting <?>
	Capabilities: [600 v1] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nouveau

01:00.1 Audio device [0403]: NVIDIA Corporation High Definition Audio Controller [10de:0be3] (rev a1)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at faffc000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [60] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [78] Express (v2) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <4us, L1 <64us
			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <1us
			ClockPM+ Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM L0s L1 Enabled; RCB 128 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Not Supported, TimeoutDis+
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Kernel driver in use: snd_hda_intel

03:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 06)
	Subsystem: Giga-byte Technology GA-EP45-DS5/GA-EG45M-DS2H Motherboard [1458:e000]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: I/O ports at ee00 [size=256]
	Region 2: Memory at fbeff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at fbef8000 (64-bit, prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
		Address: 00000000fee0f00c  Data: 4161
	Capabilities: [70] Express (v2) Endpoint, MSI 01
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <64us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop-
			MaxPayload 128 bytes, MaxReadReq 4096 bytes
		DevSta:	CorrErr+ UncorrErr- FatalErr- UnsuppReq+ AuxPwr+ TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x1, ASPM L0s L1, Latency L0 unlimited, L1 <64us
			ClockPM+ Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 64 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x1, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
		DevCap2: Completion Timeout: Range ABCD, TimeoutDis+
		DevCtl2: Completion Timeout: 50us to 50ms, TimeoutDis-
		LnkCtl2: Target Link Speed: 2.5GT/s, EnterCompliance- SpeedDis-, Selectable De-emphasis: -6dB
			 Transmit Margin: Normal Operating Range, EnterModifiedCompliance- ComplianceSOS-
			 Compliance De-emphasis: -6dB
		LnkSta2: Current De-emphasis Level: -6dB, EqualizationComplete-, EqualizationPhase1-
			 EqualizationPhase2-, EqualizationPhase3-, LinkEqualizationRequest-
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
		Vector table: BAR=4 offset=00000000
		PBA: BAR=4 offset=00000800
	Capabilities: [d0] Vital Product Data
		Unknown small resource type 00, will not decode more.
	Capabilities: [100 v1] Advanced Error Reporting
		UESta:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UEMsk:	DLP- SDES- TLP- FCP- CmpltTO- CmpltAbrt- UnxCmplt- RxOF- MalfTLP- ECRC- UnsupReq- ACSViol-
		UESvrt:	DLP+ SDES+ TLP- FCP+ CmpltTO- CmpltAbrt- UnxCmplt- RxOF+ MalfTLP+ ECRC- UnsupReq- ACSViol-
		CESta:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		CEMsk:	RxErr- BadTLP- BadDLLP- Rollover- Timeout- NonFatalErr+
		AERCap:	First Error Pointer: 00, GenCap+ CGenEn- ChkCap+ ChkEn-
	Capabilities: [140 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=ff
			Status:	NegoPending- InProgress-
	Capabilities: [160 v1] Device Serial Number 01-00-00-00-68-4c-e0-00
	Kernel driver in use: r8169

04:00.0 PCI bridge [0604]: Integrated Technology Express, Inc. Device [1283:8892] (rev 10) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 4 bytes
	Bus: primary=04, secondary=05, subordinate=05, sec-latency=32
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-
	Capabilities: [90] Power Management version 2
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=55mA PME(D0+,D1+,D2+,D3hot+,D3cold+)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [a0] Subsystem: Giga-byte Technology Device [1458:5000]


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 0924:4265 Xerox 
Bus 001 Device 004: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
Bus 001 Device 005: ID 03f0:4717 Hewlett-Packard Color LaserJet CP1215


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-3-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.44
ii  initramfs-tools [linux-initramfs-tool]  0.107
ii  kmod                                    8-2
ii  linux-base                              3.5
ii  module-init-tools                       8-2

Versions of packages linux-image-3.2.0-3-amd64 recommends:
ii  firmware-linux-free  3.1

Versions of packages linux-image-3.2.0-3-amd64 suggests:
pn  debian-kernel-handbook  <none>
ii  grub-pc                 1.99-22.1
pn  linux-doc-3.2           <none>

Versions of packages linux-image-3.2.0-3-amd64 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
pn  firmware-iwlwifi        <none>
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-3-amd64/postinst/depmod-error-initrd-3.2.0-3-amd64: false
  linux-image-3.2.0-3-amd64/postinst/ignoring-ramdisk:
* linux-image-3.2.0-3-amd64/postinst/missing-firmware-3.2.0-3-amd64:
  linux-image-3.2.0-3-amd64/prerm/removing-running-kernel-3.2.0-3-amd64: true



Severity set to 'normal' from 'critical' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 23 Aug 2012 23:45:03 GMT) Full text and rfc822 format available.

Removed tag(s) lfs. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 25 Aug 2012 01:36:12 GMT) Full text and rfc822 format available.

Severity set to 'critical' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 25 Aug 2012 01:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Sat, 25 Aug 2012 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Aug 2012 02:51:03 GMT) Full text and rfc822 format available.

Message #16 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Hrayr Grigoryan <hrayr@infotech.am>, 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Sat, 25 Aug 2012 03:49:54 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-08-24 at 03:30 +0400, Hrayr Grigoryan wrote:
> Package: src:linux
> Version: 3.2.23-1
> Severity: critical
> Tags: lfs
> Justification: causes serious data loss
> 
> Dear Maintainer,
> 
>    When I'm trying to format file image with the command "mkfs -t ext4 file.img", it returns the following errors
> [  142.328065] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1022, depth: 2 pblock 0
> [  142.328387] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1023, depth: 2 pblock 0
> [  142.328699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 9254, depth: 2 pblock 0
> [  142.329018] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769: inode #12: comm mkfs.ext4: bad extent address lblock: 1057, depth: 2 pblock 0

So you have an ext4 filesystem in file.img, on top of an ext4 filesystem
on /dev/sdb1?

>    The problem visible only for big images f.x. 160Gb and more.
>    I did the tests on different hardwares, but result the same. 
[...]

How is test.img created, before you run mkfs?  Is it a sparse file or
does it have all data blocks allocated?

Have you tested this on any other kernel versions (earlier or later)?
If not, can you try Linux 3.5, which is available in the experimental
suite?

Ben.

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 25 Aug 2012 02:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Sat, 25 Aug 2012 21:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to hrayr@infotech.am:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 25 Aug 2012 21:36:05 GMT) Full text and rfc822 format available.

Message #23 received at 685726@bugs.debian.org (full text, mbox):

From: hrayr@infotech.am
To: 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Sun, 26 Aug 2012 00:56:09 +0400
> On Fri, 2012-08-24 at 03:30 +0400, Hrayr Grigoryan wrote:
>> Package: src:linux
>> Version: 3.2.23-1
>> Severity: critical
>> Tags: lfs
>> Justification: causes serious data loss
>>
>> Dear Maintainer,
>>
>>    When I'm trying to format file image with the command "mkfs -t ext4
>> file.img", it returns the following errors
>> [  142.328065] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
>> inode #12: comm mkfs.ext4: bad extent address lblock: 1022, depth: 2
>> pblock 0
>> [  142.328387] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
>> inode #12: comm mkfs.ext4: bad extent address lblock: 1023, depth: 2
>> pblock 0
>> [  142.328699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
>> inode #12: comm mkfs.ext4: bad extent address lblock: 9254, depth: 2
>> pblock 0
>> [  142.329018] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
>> inode #12: comm mkfs.ext4: bad extent address lblock: 1057, depth: 2
>> pblock 0
>
> So you have an ext4 filesystem in file.img, on top of an ext4 filesystem
> on /dev/sdb1?
yes, all are ext4, no other file systems I have on that machine.


>
>>    The problem visible only for big images f.x. 160Gb and more.
>>    I did the tests on different hardwares, but result the same.
> [...]
>
> How is test.img created, before you run mkfs?  Is it a sparse file or
> does it have all data blocks allocated?
No it is not sparse file, test.img was created with the following command
dd if=/dev/zero of=test.img bs=1M count=160k


> Have you tested this on any other kernel versions (earlier or later)?
Yes, I have tested with the earlier versions, all earlier versions of
3.x.x kernels have this bug.

Hrayr.



>
> Ben.
>
> --
> Ben Hutchings
> Experience is what causes a person to make new mistakes instead of old
> ones.
>






Severity set to 'serious' from 'critical' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 28 Aug 2012 22:39:03 GMT) Full text and rfc822 format available.

Added tag(s) security. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 28 Aug 2012 22:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Tue, 28 Aug 2012 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Aug 2012 22:42:03 GMT) Full text and rfc822 format available.

Message #32 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: hrayr@infotech.am, 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Tue, 28 Aug 2012 15:37:47 -0700
[Message part 1 (text/plain, inline)]
On Sun, 2012-08-26 at 00:56 +0400, hrayr@infotech.am wrote:
> > On Fri, 2012-08-24 at 03:30 +0400, Hrayr Grigoryan wrote:
> >> Package: src:linux
> >> Version: 3.2.23-1
> >> Severity: critical
> >> Tags: lfs
> >> Justification: causes serious data loss
> >>
> >> Dear Maintainer,
> >>
> >>    When I'm trying to format file image with the command "mkfs -t ext4
> >> file.img", it returns the following errors
> >> [  142.328065] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 1022, depth: 2
> >> pblock 0
> >> [  142.328387] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 1023, depth: 2
> >> pblock 0
> >> [  142.328699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 9254, depth: 2
> >> pblock 0
> >> [  142.329018] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 1057, depth: 2
> >> pblock 0
[...]
> > Have you tested this on any other kernel versions (earlier or later)?
> Yes, I have tested with the earlier versions, all earlier versions of
> 3.x.x kernels have this bug.

I talked to the ext4 maintainer about this.  He recognised the problem
and said you can work around this by adding the option '-E nodiscard'
when running mke2fs.

This is supposed to be fixed in Linux 3.5.3 (not yet available in
Debian).  We will try to get it fixed in Linux 3.2.y soon.

Ben.

-- 
Ben Hutchings
It is a miracle that curiosity survives formal education. - Albert Einstein
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Tue, 28 Aug 2012 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 28 Aug 2012 23:12:03 GMT) Full text and rfc822 format available.

Message #37 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Theodore Ts'o <tytso@mit.edu>
Cc: 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Tue, 28 Aug 2012 16:09:05 -0700
[Message part 1 (text/plain, inline)]
As discussed, Linux 3.2.y needs a backport of the fixes for this, which
I think are:

968dee7 ext4: fix hole punch failure when depth is greater than 0
89a4e48 ext4: fix kernel BUG on large-scale rm -rf commands

Ben.

On Sun, 2012-08-26 at 00:56 +0400, hrayr@infotech.am wrote:
> > On Fri, 2012-08-24 at 03:30 +0400, Hrayr Grigoryan wrote:
> >> Package: src:linux
> >> Version: 3.2.23-1
> >> Severity: critical
> >> Tags: lfs
> >> Justification: causes serious data loss
> >>
> >> Dear Maintainer,
> >>
> >>    When I'm trying to format file image with the command "mkfs -t ext4
> >> file.img", it returns the following errors
> >> [  142.328065] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 1022, depth: 2
> >> pblock 0
> >> [  142.328387] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 1023, depth: 2
> >> pblock 0
> >> [  142.328699] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 9254, depth: 2
> >> pblock 0
> >> [  142.329018] EXT4-fs error (device sdb1): ext4_ext_map_blocks:3769:
> >> inode #12: comm mkfs.ext4: bad extent address lblock: 1057, depth: 2
> >> pblock 0
> >
> > So you have an ext4 filesystem in file.img, on top of an ext4 filesystem
> > on /dev/sdb1?
> yes, all are ext4, no other file systems I have on that machine.
> 
> 
> >
> >>    The problem visible only for big images f.x. 160Gb and more.
> >>    I did the tests on different hardwares, but result the same.
> > [...]
> >
> > How is test.img created, before you run mkfs?  Is it a sparse file or
> > does it have all data blocks allocated?
> No it is not sparse file, test.img was created with the following command
> dd if=/dev/zero of=test.img bs=1M count=160k
> 
> 
> > Have you tested this on any other kernel versions (earlier or later)?
> Yes, I have tested with the earlier versions, all earlier versions of
> 3.x.x kernels have this bug.
> 
> Hrayr.
> 
> 
> 
> >
> > Ben.
> >
> > --
> > Ben Hutchings
> > Experience is what causes a person to make new mistakes instead of old
> > ones.
> >
> 
> 

-- 
Ben Hutchings
Quantity is no substitute for quality, but it's the only one we've got.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Wed, 29 Aug 2012 18:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theodore Ts'o <tytso@mit.edu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 29 Aug 2012 18:33:06 GMT) Full text and rfc822 format available.

Message #42 received at 685726@bugs.debian.org (full text, mbox):

From: Theodore Ts'o <tytso@mit.edu>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Wed, 29 Aug 2012 14:11:20 -0400
[Message part 1 (text/plain, inline)]
On Tue, Aug 28, 2012 at 04:09:05PM -0700, Ben Hutchings wrote:
> As discussed, Linux 3.2.y needs a backport of the fixes for this, which
> I think are:
> 
> 968dee7 ext4: fix hole punch failure when depth is greater than 0
> 89a4e48 ext4: fix kernel BUG on large-scale rm -rf commands

I have a backport of these patches rebased onto 3.2.28.  They pass the
full set of ext4 regression tests.  However, for some reason I wasn't
able to reproduce the problem on 3.2.28, even though I thought:

     mke2fs -t ext4 /dev/vdd
     mount -t ext4 /dev/vdd /vdd
     dd if=/dev/zero of=/vdd/test.img bs=1M count=200
     mke2fs -t ext4 -F /vdd/test.img

should have been a reliable reproduction with the problem.  I'm pretty
sure it worked to trigger the problem before, but for some reason it's
not working for me.

Anyway, here are the patches.  If someone could confirm wheterh this
resolve your problem, I would really appreciate it.  Thanks!!

	     	      	      	     		- Ted
[0001-ext4-rewrite-punch-hole-to-use-ext4_ext_remove_space.patch (text/x-diff, attachment)]
[0002-ext4-fix-hole-punch-failure-when-depth-is-greater-th.patch (text/x-diff, attachment)]
[0003-ext4-fix-kernel-BUG-on-large-scale-rm-rf-commands.patch (text/x-diff, attachment)]

Removed tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 07 Sep 2012 02:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Fri, 07 Sep 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 07 Sep 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #49 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Hrayr Grigoryan <hrayr@infotech.am>
Cc: 685726@bugs.debian.org, Theodore Ts'o <tytso@mit.edu>
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Fri, 07 Sep 2012 03:51:35 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-08-29 at 14:11 -0400, Theodore Ts'o wrote:
> On Tue, Aug 28, 2012 at 04:09:05PM -0700, Ben Hutchings wrote:
> > As discussed, Linux 3.2.y needs a backport of the fixes for this, which
> > I think are:
> > 
> > 968dee7 ext4: fix hole punch failure when depth is greater than 0
> > 89a4e48 ext4: fix kernel BUG on large-scale rm -rf commands
> 
> I have a backport of these patches rebased onto 3.2.28.  They pass the
> full set of ext4 regression tests.  However, for some reason I wasn't
> able to reproduce the problem on 3.2.28, even though I thought:
> 
>      mke2fs -t ext4 /dev/vdd
>      mount -t ext4 /dev/vdd /vdd
>      dd if=/dev/zero of=/vdd/test.img bs=1M count=200
>      mke2fs -t ext4 -F /vdd/test.img
> 
> should have been a reliable reproduction with the problem.  I'm pretty
> sure it worked to trigger the problem before, but for some reason it's
> not working for me.
> 
> Anyway, here are the patches.  If someone could confirm wheterh this
> resolve your problem, I would really appreciate it.  Thanks!!

Please can you test the patches from the previous email?  There are
instructions for building a patched kernel package at
<http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-common-official>.

Ben.

-- 
Ben Hutchings
Usenet is essentially a HUGE group of people passing notes in class.
                      - Rachel Kadel, `A Quick Guide to Newsgroup Etiquette'
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream, moreinfo, and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 23 Sep 2012 09:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Wed, 07 Nov 2012 13:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to hrayr@infotech.am:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 07 Nov 2012 13:36:03 GMT) Full text and rfc822 format available.

Message #56 received at 685726@bugs.debian.org (full text, mbox):

From: hrayr@infotech.am
To: 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying
Date: Wed, 7 Nov 2012 16:50:21 +0400
The problem solved in Debian Wheezy for kernel

linux-image-3.2.0-4-amd64 3.2.32-1 amd64 Linux 3.2 for 64-bit PCs

Hrayr.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Fri, 09 Nov 2012 06:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 09 Nov 2012 06:18:03 GMT) Full text and rfc822 format available.

Message #61 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: hrayr@infotech.am, 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying
Date: Fri, 09 Nov 2012 06:14:53 +0000
[Message part 1 (text/plain, inline)]
On Wed, 2012-11-07 at 16:50 +0400, hrayr@infotech.am wrote:
> The problem solved in Debian Wheezy for kernel
> 
> linux-image-3.2.0-4-amd64 3.2.32-1 amd64 Linux 3.2 for 64-bit PCs

Are you sure?  This doesn't include any of the changes that were
expected to fix this bug, as you did not report that you had tested
them.  It does have other bug fixes for ext4, though.

Ben.

-- 
Ben Hutchings
The program is absolutely right; therefore, the computer must be wrong.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Mon, 12 Nov 2012 22:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to hrayr@infotech.am:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 12 Nov 2012 22:36:04 GMT) Full text and rfc822 format available.

Message #66 received at 685726@bugs.debian.org (full text, mbox):

From: hrayr@infotech.am
To: "Ben Hutchings" <ben@decadent.org.uk>, 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying
Date: Tue, 13 Nov 2012 02:33:08 +0400
Yeah, Bug is not completely disappeared,
my test was done in new formatted partition, which was almost free, and no
any error was appeared for image 160Gb.

But when I tried to format 160Gb image file on the other machine, where
the 2Tb partition is full more than 80% and fragmented, I could reproduce
the bug.

I'm not sure that these facts are directly connected to bug reproduction,
but doing few test on different machines, I'm able to reproduce the error.


>> This doesn't include any of the changes that were
>> expected to fix this bug, as you did not report that you had tested them.
Yeah, I haven't chance to compile and test the new kernel due to lack of
time:(


Hrayr


> On Wed, 2012-11-07 at 16:50 +0400, hrayr@infotech.am wrote:
>> The problem solved in Debian Wheezy for kernel
>>
>> linux-image-3.2.0-4-amd64 3.2.32-1 amd64 Linux 3.2 for 64-bit PCs
>
> Are you sure?  This doesn't include any of the changes that were
> expected to fix this bug, as you did not report that you had tested
> them.  It does have other bug fixes for ext4, though.
>
> Ben.
>
> --
> Ben Hutchings
> The program is absolutely right; therefore, the computer must be wrong.
>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Tue, 25 Dec 2012 21:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nikita Gubenko <nikita.gubenko@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 25 Dec 2012 21:33:04 GMT) Full text and rfc822 format available.

Message #71 received at 685726@bugs.debian.org (full text, mbox):

From: Nikita Gubenko <nikita.gubenko@gmail.com>
To: 685726@bugs.debian.org
Date: Wed, 26 Dec 2012 01:27:54 +0400
Guys, any update on this bug? Can reproduce on 3.2.0-4-amd64 with vhd image.

-- 
Best Regards, Nikita Gubenko



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Tue, 25 Dec 2012 22:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 25 Dec 2012 22:15:04 GMT) Full text and rfc822 format available.

Message #76 received at 685726@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nikita Gubenko <nikita.gubenko@gmail.com>, 685726@bugs.debian.org
Subject: Re: Bug#685726:
Date: Tue, 25 Dec 2012 23:10:38 +0100
[Message part 1 (text/plain, inline)]
On Wed, Dec 26, 2012 at 01:27:54 +0400, Nikita Gubenko wrote:

> Guys, any update on this bug? Can reproduce on 3.2.0-4-amd64 with vhd image.
> 
You send a mail with empty Subject, refer to "this bug", and include 0
context.  That's not helpful to know what you're talking about.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Sat, 29 Dec 2012 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 29 Dec 2012 13:42:03 GMT) Full text and rfc822 format available.

Message #81 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Nikita Gubenko <nikita.gubenko@gmail.com>, 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying to format image file (mkfs -t ext4 file.img)
Date: Sat, 29 Dec 2012 14:39:40 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-12-26 at 01:27 +0400, Nikita Gubenko wrote:
> Guys, any update on this bug? Can reproduce on 3.2.0-4-amd64 with vhd image.

We're still waiting for someone to report results after applying the
patches from <http://bugs.debian.org/685726#42>.

Ben.

-- 
Ben Hutchings
It is easier to change the specification to fit the program than vice versa.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 27 Jan 2013 00:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Sun, 27 Jan 2013 00:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 27 Jan 2013 00:27:03 GMT) Full text and rfc822 format available.

Message #88 received at 685726@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: hrayr@infotech.am, Theodore Ts'o <tytso@mit.edu>
Cc: 685726@bugs.debian.org
Subject: Re: Bug#685726: linux-image-3.2.0-3-amd64: return error when trying
Date: Sun, 27 Jan 2013 00:23:00 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2012-11-13 at 02:33 +0400, hrayr@infotech.am wrote:
> Yeah, Bug is not completely disappeared,
> my test was done in new formatted partition, which was almost free, and no
> any error was appeared for image 160Gb.
> 
> But when I tried to format 160Gb image file on the other machine, where
> the 2Tb partition is full more than 80% and fragmented, I could reproduce
> the bug.
> 
> I'm not sure that these facts are directly connected to bug reproduction,
> but doing few test on different machines, I'm able to reproduce the error.
> 
> 
> >> This doesn't include any of the changes that were
> >> expected to fix this bug, as you did not report that you had tested them.
> Yeah, I haven't chance to compile and test the new kernel due to lack of
> time:(

I was able to reproduce this with:

SCRATCH=/dev/sdc1
mke2fs -t ext4 -m 0 $SCRATCH
mount $SCRATCH /mnt
dd if=/dev/zero of=/mnt/test.img bs=256M count=640
losetup /dev/loop0 /mnt/test.img
mke2fs -t ext4 /dev/loop0

I tested Ted's patches on top of 3.2.37 (one of them needed a context
change as we already got commit
dee1f973ca341c266229faa5a1a5bb268bed3531) and they seem to fix the
problem: I see no errors from mke2fs, or the kernel, or subsequent
'fsck.ext4 -f' of the inner and outer filesystems.

I have therefore committed these for the next Debian release and will
also queue them up for 3.2.y.

Ben.

-- 
Ben Hutchings
Experience is what causes a person to make new mistakes instead of old ones.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Mon, 25 Feb 2013 05:09:13 GMT) Full text and rfc822 format available.

Notification sent to Hrayr Grigoryan <hrayr@infotech.am>:
Bug acknowledged by developer. (Mon, 25 Feb 2013 05:09:13 GMT) Full text and rfc822 format available.

Message #93 received at 685726-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 685726-close@bugs.debian.org
Subject: Bug#685726: fixed in linux 3.2.39-1
Date: Mon, 25 Feb 2013 05:04:55 +0000
Source: linux
Source-Version: 3.2.39-1

We believe that the bug you reported is fixed in the latest version of
linux, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 25 Feb 2013 00:36:51 +0000
Source: linux
Binary: linux-source-3.2 linux-doc-3.2 linux-manual-3.2 linux-support-3.2.0-4 linux-libc-dev linux-headers-3.2.0-4-all linux-headers-3.2.0-4-all-alpha linux-headers-3.2.0-4-common linux-image-3.2.0-4-alpha-generic linux-headers-3.2.0-4-alpha-generic linux-image-3.2.0-4-alpha-smp linux-headers-3.2.0-4-alpha-smp linux-image-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-alpha-legacy linux-headers-3.2.0-4-all-amd64 kernel-image-3.2.0-4-amd64-di nic-modules-3.2.0-4-amd64-di nic-extra-modules-3.2.0-4-amd64-di nic-wireless-modules-3.2.0-4-amd64-di nic-shared-modules-3.2.0-4-amd64-di serial-modules-3.2.0-4-amd64-di usb-serial-modules-3.2.0-4-amd64-di ppp-modules-3.2.0-4-amd64-di pata-modules-3.2.0-4-amd64-di cdrom-core-modules-3.2.0-4-amd64-di firewire-core-modules-3.2.0-4-amd64-di scsi-core-modules-3.2.0-4-amd64-di scsi-modules-3.2.0-4-amd64-di scsi-common-modules-3.2.0-4-amd64-di scsi-extra-modules-3.2.0-4-amd64-di plip-modules-3.2.0-4-amd64-di floppy-modules-3.2.0-4-amd64-di
 loop-modules-3.2.0-4-amd64-di btrfs-modules-3.2.0-4-amd64-di ext2-modules-3.2.0-4-amd64-di ext3-modules-3.2.0-4-amd64-di ext4-modules-3.2.0-4-amd64-di isofs-modules-3.2.0-4-amd64-di jfs-modules-3.2.0-4-amd64-di ntfs-modules-3.2.0-4-amd64-di reiserfs-modules-3.2.0-4-amd64-di xfs-modules-3.2.0-4-amd64-di fat-modules-3.2.0-4-amd64-di ufs-modules-3.2.0-4-amd64-di qnx4-modules-3.2.0-4-amd64-di md-modules-3.2.0-4-amd64-di multipath-modules-3.2.0-4-amd64-di usb-modules-3.2.0-4-amd64-di usb-storage-modules-3.2.0-4-amd64-di pcmcia-storage-modules-3.2.0-4-amd64-di fb-modules-3.2.0-4-amd64-di input-modules-3.2.0-4-amd64-di event-modules-3.2.0-4-amd64-di mouse-modules-3.2.0-4-amd64-di irda-modules-3.2.0-4-amd64-di parport-modules-3.2.0-4-amd64-di nic-pcmcia-modules-3.2.0-4-amd64-di pcmcia-modules-3.2.0-4-amd64-di nic-usb-modules-3.2.0-4-amd64-di sata-modules-3.2.0-4-amd64-di core-modules-3.2.0-4-amd64-di acpi-modules-3.2.0-4-amd64-di i2c-modules-3.2.0-4-amd64-di
 crc-modules-3.2.0-4-amd64-di crypto-modules-3.2.0-4-amd64-di crypto-dm-modules-3.2.0-4-amd64-di efi-modules-3.2.0-4-amd64-di ata-modules-3.2.0-4-amd64-di mmc-core-modules-3.2.0-4-amd64-di mmc-modules-3.2.0-4-amd64-di nbd-modules-3.2.0-4-amd64-di squashfs-modules-3.2.0-4-amd64-di speakup-modules-3.2.0-4-amd64-di virtio-modules-3.2.0-4-amd64-di uinput-modules-3.2.0-4-amd64-di sound-modules-3.2.0-4-amd64-di zlib-modules-3.2.0-4-amd64-di hyperv-modules-3.2.0-4-amd64-di udf-modules-3.2.0-4-amd64-di fuse-modules-3.2.0-4-amd64-di linux-image-3.2.0-4-amd64 linux-headers-3.2.0-4-amd64 linux-image-3.2.0-4-amd64-dbg xen-linux-system-3.2.0-4-amd64 linux-headers-3.2.0-4-common-rt linux-image-3.2.0-4-rt-amd64 linux-headers-3.2.0-4-rt-amd64 linux-image-3.2.0-4-rt-amd64-dbg linux-headers-3.2.0-4-all-armel kernel-image-3.2.0-4-iop32x-di nic-modules-3.2.0-4-iop32x-di nic-shared-modules-3.2.0-4-iop32x-di usb-serial-modules-3.2.0-4-iop32x-di ppp-modules-3.2.0-4-iop32x-di
 pata-modules-3.2.0-4-iop32x-di cdrom-core-modules-3.2.0-4-iop32x-di scsi-core-modules-3.2.0-4-iop32x-di loop-modules-3.2.0-4-iop32x-di ipv6-modules-3.2.0-4-iop32x-di btrfs-modules-3.2.0-4-iop32x-di ext2-modules-3.2.0-4-iop32x-di ext3-modules-3.2.0-4-iop32x-di ext4-modules-3.2.0-4-iop32x-di isofs-modules-3.2.0-4-iop32x-di jffs2-modules-3.2.0-4-iop32x-di jfs-modules-3.2.0-4-iop32x-di reiserfs-modules-3.2.0-4-iop32x-di fat-modules-3.2.0-4-iop32x-di md-modules-3.2.0-4-iop32x-di multipath-modules-3.2.0-4-iop32x-di usb-modules-3.2.0-4-iop32x-di usb-storage-modules-3.2.0-4-iop32x-di event-modules-3.2.0-4-iop32x-di nic-usb-modules-3.2.0-4-iop32x-di sata-modules-3.2.0-4-iop32x-di core-modules-3.2.0-4-iop32x-di crc-modules-3.2.0-4-iop32x-di crypto-modules-3.2.0-4-iop32x-di crypto-dm-modules-3.2.0-4-iop32x-di ata-modules-3.2.0-4-iop32x-di nbd-modules-3.2.0-4-iop32x-di squashfs-modules-3.2.0-4-iop32x-di zlib-modules-3.2.0-4-iop32x-di udf-modules-3.2.0-4-iop32x-di
 fuse-modules-3.2.0-4-iop32x-di kernel-image-3.2.0-4-kirkwood-di nic-modules-3.2.0-4-kirkwood-di nic-shared-modules-3.2.0-4-kirkwood-di usb-serial-modules-3.2.0-4-kirkwood-di ppp-modules-3.2.0-4-kirkwood-di cdrom-core-modules-3.2.0-4-kirkwood-di scsi-core-modules-3.2.0-4-kirkwood-di loop-modules-3.2.0-4-kirkwood-di ipv6-modules-3.2.0-4-kirkwood-di btrfs-modules-3.2.0-4-kirkwood-di ext2-modules-3.2.0-4-kirkwood-di ext3-modules-3.2.0-4-kirkwood-di ext4-modules-3.2.0-4-kirkwood-di isofs-modules-3.2.0-4-kirkwood-di jfs-modules-3.2.0-4-kirkwood-di reiserfs-modules-3.2.0-4-kirkwood-di fat-modules-3.2.0-4-kirkwood-di minix-modules-3.2.0-4-kirkwood-di md-modules-3.2.0-4-kirkwood-di multipath-modules-3.2.0-4-kirkwood-di usb-modules-3.2.0-4-kirkwood-di usb-storage-modules-3.2.0-4-kirkwood-di fb-modules-3.2.0-4-kirkwood-di input-modules-3.2.0-4-kirkwood-di event-modules-3.2.0-4-kirkwood-di mouse-modules-3.2.0-4-kirkwood-di nic-usb-modules-3.2.0-4-kirkwood-di
 sata-modules-3.2.0-4-kirkwood-di core-modules-3.2.0-4-kirkwood-di crc-modules-3.2.0-4-kirkwood-di crypto-modules-3.2.0-4-kirkwood-di crypto-dm-modules-3.2.0-4-kirkwood-di mmc-modules-3.2.0-4-kirkwood-di nbd-modules-3.2.0-4-kirkwood-di squashfs-modules-3.2.0-4-kirkwood-di uinput-modules-3.2.0-4-kirkwood-di leds-modules-3.2.0-4-kirkwood-di udf-modules-3.2.0-4-kirkwood-di fuse-modules-3.2.0-4-kirkwood-di kernel-image-3.2.0-4-orion5x-di nic-modules-3.2.0-4-orion5x-di nic-shared-modules-3.2.0-4-orion5x-di usb-serial-modules-3.2.0-4-orion5x-di ppp-modules-3.2.0-4-orion5x-di cdrom-core-modules-3.2.0-4-orion5x-di scsi-core-modules-3.2.0-4-orion5x-di loop-modules-3.2.0-4-orion5x-di ipv6-modules-3.2.0-4-orion5x-di btrfs-modules-3.2.0-4-orion5x-di ext2-modules-3.2.0-4-orion5x-di ext3-modules-3.2.0-4-orion5x-di ext4-modules-3.2.0-4-orion5x-di isofs-modules-3.2.0-4-orion5x-di jffs2-modules-3.2.0-4-orion5x-di jfs-modules-3.2.0-4-orion5x-di reiserfs-modules-3.2.0-4-orion5x-di
 fat-modules-3.2.0-4-orion5x-di minix-modules-3.2.0-4-orion5x-di md-modules-3.2.0-4-orion5x-di multipath-modules-3.2.0-4-orion5x-di usb-modules-3.2.0-4-orion5x-di usb-storage-modules-3.2.0-4-orion5x-di event-modules-3.2.0-4-orion5x-di nic-usb-modules-3.2.0-4-orion5x-di sata-modules-3.2.0-4-orion5x-di core-modules-3.2.0-4-orion5x-di crc-modules-3.2.0-4-orion5x-di crypto-modules-3.2.0-4-orion5x-di crypto-dm-modules-3.2.0-4-orion5x-di nbd-modules-3.2.0-4-orion5x-di squashfs-modules-3.2.0-4-orion5x-di zlib-modules-3.2.0-4-orion5x-di udf-modules-3.2.0-4-orion5x-di fuse-modules-3.2.0-4-orion5x-di kernel-image-3.2.0-4-versatile-di nic-modules-3.2.0-4-versatile-di nic-shared-modules-3.2.0-4-versatile-di usb-serial-modules-3.2.0-4-versatile-di ppp-modules-3.2.0-4-versatile-di cdrom-core-modules-3.2.0-4-versatile-di scsi-core-modules-3.2.0-4-versatile-di scsi-common-modules-3.2.0-4-versatile-di loop-modules-3.2.0-4-versatile-di ipv6-modules-3.2.0-4-versatile-di
 btrfs-modules-3.2.0-4-versatile-di ext2-modules-3.2.0-4-versatile-di ext3-modules-3.2.0-4-versatile-di ext4-modules-3.2.0-4-versatile-di isofs-modules-3.2.0-4-versatile-di reiserfs-modules-3.2.0-4-versatile-di fat-modules-3.2.0-4-versatile-di md-modules-3.2.0-4-versatile-di multipath-modules-3.2.0-4-versatile-di usb-modules-3.2.0-4-versatile-di usb-storage-modules-3.2.0-4-versatile-di nic-usb-modules-3.2.0-4-versatile-di sata-modules-3.2.0-4-versatile-di core-modules-3.2.0-4-versatile-di crc-modules-3.2.0-4-versatile-di crypto-modules-3.2.0-4-versatile-di crypto-dm-modules-3.2.0-4-versatile-di nbd-modules-3.2.0-4-versatile-di squashfs-modules-3.2.0-4-versatile-di virtio-modules-3.2.0-4-versatile-di zlib-modules-3.2.0-4-versatile-di udf-modules-3.2.0-4-versatile-di fuse-modules-3.2.0-4-versatile-di linux-image-3.2.0-4-iop32x linux-headers-3.2.0-4-iop32x linux-image-3.2.0-4-ixp4xx linux-headers-3.2.0-4-ixp4xx linux-image-3.2.0-4-kirkwood linux-headers-3.2.0-4-kirkwood
 linux-image-3.2.0-4-mv78xx0 linux-headers-3.2.0-4-mv78xx0 linux-image-3.2.0-4-orion5x linux-headers-3.2.0-4-orion5x linux-image-3.2.0-4-versatile linux-headers-3.2.0-4-versatile linux-headers-3.2.0-4-all-armhf kernel-image-3.2.0-4-mx5-di nic-wireless-modules-3.2.0-4-mx5-di nic-shared-modules-3.2.0-4-mx5-di pata-modules-3.2.0-4-mx5-di scsi-core-modules-3.2.0-4-mx5-di loop-modules-3.2.0-4-mx5-di ipv6-modules-3.2.0-4-mx5-di btrfs-modules-3.2.0-4-mx5-di ext2-modules-3.2.0-4-mx5-di ext3-modules-3.2.0-4-mx5-di ext4-modules-3.2.0-4-mx5-di isofs-modules-3.2.0-4-mx5-di jfs-modules-3.2.0-4-mx5-di reiserfs-modules-3.2.0-4-mx5-di fat-modules-3.2.0-4-mx5-di minix-modules-3.2.0-4-mx5-di md-modules-3.2.0-4-mx5-di multipath-modules-3.2.0-4-mx5-di usb-storage-modules-3.2.0-4-mx5-di input-modules-3.2.0-4-mx5-di nic-usb-modules-3.2.0-4-mx5-di sata-modules-3.2.0-4-mx5-di core-modules-3.2.0-4-mx5-di crc-modules-3.2.0-4-mx5-di crypto-modules-3.2.0-4-mx5-di
 crypto-dm-modules-3.2.0-4-mx5-di ata-modules-3.2.0-4-mx5-di mmc-modules-3.2.0-4-mx5-di nbd-modules-3.2.0-4-mx5-di squashfs-modules-3.2.0-4-mx5-di uinput-modules-3.2.0-4-mx5-di udf-modules-3.2.0-4-mx5-di fuse-modules-3.2.0-4-mx5-di mtd-modules-3.2.0-4-mx5-di kernel-image-3.2.0-4-vexpress-di nic-modules-3.2.0-4-vexpress-di nic-wireless-modules-3.2.0-4-vexpress-di nic-shared-modules-3.2.0-4-vexpress-di scsi-core-modules-3.2.0-4-vexpress-di loop-modules-3.2.0-4-vexpress-di ipv6-modules-3.2.0-4-vexpress-di btrfs-modules-3.2.0-4-vexpress-di ext2-modules-3.2.0-4-vexpress-di ext3-modules-3.2.0-4-vexpress-di ext4-modules-3.2.0-4-vexpress-di isofs-modules-3.2.0-4-vexpress-di jfs-modules-3.2.0-4-vexpress-di fat-modules-3.2.0-4-vexpress-di md-modules-3.2.0-4-vexpress-di multipath-modules-3.2.0-4-vexpress-di usb-modules-3.2.0-4-vexpress-di usb-storage-modules-3.2.0-4-vexpress-di input-modules-3.2.0-4-vexpress-di nic-usb-modules-3.2.0-4-vexpress-di
 core-modules-3.2.0-4-vexpress-di crc-modules-3.2.0-4-vexpress-di crypto-modules-3.2.0-4-vexpress-di crypto-dm-modules-3.2.0-4-vexpress-di mmc-modules-3.2.0-4-vexpress-di nbd-modules-3.2.0-4-vexpress-di squashfs-modules-3.2.0-4-vexpress-di uinput-modules-3.2.0-4-vexpress-di udf-modules-3.2.0-4-vexpress-di fuse-modules-3.2.0-4-vexpress-di linux-image-3.2.0-4-mx5 linux-headers-3.2.0-4-mx5 linux-image-3.2.0-4-omap linux-headers-3.2.0-4-omap linux-image-3.2.0-4-vexpress linux-headers-3.2.0-4-vexpress linux-headers-3.2.0-4-all-hppa kernel-image-3.2.0-4-parisc-di nic-modules-3.2.0-4-parisc-di ppp-modules-3.2.0-4-parisc-di pata-modules-3.2.0-4-parisc-di cdrom-core-modules-3.2.0-4-parisc-di scsi-core-modules-3.2.0-4-parisc-di scsi-modules-3.2.0-4-parisc-di loop-modules-3.2.0-4-parisc-di ipv6-modules-3.2.0-4-parisc-di btrfs-modules-3.2.0-4-parisc-di ext3-modules-3.2.0-4-parisc-di ext4-modules-3.2.0-4-parisc-di fat-modules-3.2.0-4-parisc-di md-modules-3.2.0-4-parisc-di
 multipath-modules-3.2.0-4-parisc-di usb-modules-3.2.0-4-parisc-di usb-storage-modules-3.2.0-4-parisc-di input-modules-3.2.0-4-parisc-di crypto-modules-3.2.0-4-parisc-di crypto-dm-modules-3.2.0-4-parisc-di nbd-modules-3.2.0-4-parisc-di zlib-modules-3.2.0-4-parisc-di fuse-modules-3.2.0-4-parisc-di kernel-image-3.2.0-4-parisc64-di nic-modules-3.2.0-4-parisc64-di ppp-modules-3.2.0-4-parisc64-di pata-modules-3.2.0-4-parisc64-di cdrom-core-modules-3.2.0-4-parisc64-di scsi-core-modules-3.2.0-4-parisc64-di scsi-modules-3.2.0-4-parisc64-di loop-modules-3.2.0-4-parisc64-di ipv6-modules-3.2.0-4-parisc64-di btrfs-modules-3.2.0-4-parisc64-di ext3-modules-3.2.0-4-parisc64-di ext4-modules-3.2.0-4-parisc64-di fat-modules-3.2.0-4-parisc64-di md-modules-3.2.0-4-parisc64-di multipath-modules-3.2.0-4-parisc64-di usb-modules-3.2.0-4-parisc64-di usb-storage-modules-3.2.0-4-parisc64-di input-modules-3.2.0-4-parisc64-di crypto-modules-3.2.0-4-parisc64-di
 crypto-dm-modules-3.2.0-4-parisc64-di nbd-modules-3.2.0-4-parisc64-di zlib-modules-3.2.0-4-parisc64-di fuse-modules-3.2.0-4-parisc64-di linux-image-3.2.0-4-parisc linux-headers-3.2.0-4-parisc linux-image-3.2.0-4-parisc-smp linux-headers-3.2.0-4-parisc-smp linux-image-3.2.0-4-parisc64 linux-headers-3.2.0-4-parisc64 linux-image-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-parisc64-smp linux-headers-3.2.0-4-all-i386 kernel-image-3.2.0-4-486-di nic-modules-3.2.0-4-486-di nic-extra-modules-3.2.0-4-486-di nic-wireless-modules-3.2.0-4-486-di nic-shared-modules-3.2.0-4-486-di serial-modules-3.2.0-4-486-di usb-serial-modules-3.2.0-4-486-di ppp-modules-3.2.0-4-486-di pata-modules-3.2.0-4-486-di cdrom-core-modules-3.2.0-4-486-di firewire-core-modules-3.2.0-4-486-di scsi-core-modules-3.2.0-4-486-di scsi-modules-3.2.0-4-486-di scsi-common-modules-3.2.0-4-486-di scsi-extra-modules-3.2.0-4-486-di plip-modules-3.2.0-4-486-di floppy-modules-3.2.0-4-486-di loop-modules-3.2.0-4-486-di
 btrfs-modules-3.2.0-4-486-di ext2-modules-3.2.0-4-486-di ext3-modules-3.2.0-4-486-di ext4-modules-3.2.0-4-486-di isofs-modules-3.2.0-4-486-di jfs-modules-3.2.0-4-486-di ntfs-modules-3.2.0-4-486-di reiserfs-modules-3.2.0-4-486-di xfs-modules-3.2.0-4-486-di fat-modules-3.2.0-4-486-di ufs-modules-3.2.0-4-486-di qnx4-modules-3.2.0-4-486-di md-modules-3.2.0-4-486-di multipath-modules-3.2.0-4-486-di usb-modules-3.2.0-4-486-di usb-storage-modules-3.2.0-4-486-di pcmcia-storage-modules-3.2.0-4-486-di fb-modules-3.2.0-4-486-di input-modules-3.2.0-4-486-di event-modules-3.2.0-4-486-di mouse-modules-3.2.0-4-486-di irda-modules-3.2.0-4-486-di parport-modules-3.2.0-4-486-di nic-pcmcia-modules-3.2.0-4-486-di pcmcia-modules-3.2.0-4-486-di nic-usb-modules-3.2.0-4-486-di sata-modules-3.2.0-4-486-di core-modules-3.2.0-4-486-di acpi-modules-3.2.0-4-486-di i2c-modules-3.2.0-4-486-di crc-modules-3.2.0-4-486-di crypto-modules-3.2.0-4-486-di crypto-dm-modules-3.2.0-4-486-di
 efi-modules-3.2.0-4-486-di ata-modules-3.2.0-4-486-di mmc-core-modules-3.2.0-4-486-di mmc-modules-3.2.0-4-486-di nbd-modules-3.2.0-4-486-di squashfs-modules-3.2.0-4-486-di speakup-modules-3.2.0-4-486-di virtio-modules-3.2.0-4-486-di uinput-modules-3.2.0-4-486-di sound-modules-3.2.0-4-486-di zlib-modules-3.2.0-4-486-di hyperv-modules-3.2.0-4-486-di udf-modules-3.2.0-4-486-di fuse-modules-3.2.0-4-486-di kernel-image-3.2.0-4-686-pae-di nic-modules-3.2.0-4-686-pae-di nic-extra-modules-3.2.0-4-686-pae-di nic-wireless-modules-3.2.0-4-686-pae-di nic-shared-modules-3.2.0-4-686-pae-di serial-modules-3.2.0-4-686-pae-di usb-serial-modules-3.2.0-4-686-pae-di ppp-modules-3.2.0-4-686-pae-di pata-modules-3.2.0-4-686-pae-di cdrom-core-modules-3.2.0-4-686-pae-di firewire-core-modules-3.2.0-4-686-pae-di scsi-core-modules-3.2.0-4-686-pae-di scsi-modules-3.2.0-4-686-pae-di scsi-common-modules-3.2.0-4-686-pae-di scsi-extra-modules-3.2.0-4-686-pae-di plip-modules-3.2.0-4-686-pae-di
 floppy-modules-3.2.0-4-686-pae-di loop-modules-3.2.0-4-686-pae-di btrfs-modules-3.2.0-4-686-pae-di ext2-modules-3.2.0-4-686-pae-di ext3-modules-3.2.0-4-686-pae-di ext4-modules-3.2.0-4-686-pae-di isofs-modules-3.2.0-4-686-pae-di jfs-modules-3.2.0-4-686-pae-di ntfs-modules-3.2.0-4-686-pae-di reiserfs-modules-3.2.0-4-686-pae-di xfs-modules-3.2.0-4-686-pae-di fat-modules-3.2.0-4-686-pae-di ufs-modules-3.2.0-4-686-pae-di qnx4-modules-3.2.0-4-686-pae-di md-modules-3.2.0-4-686-pae-di multipath-modules-3.2.0-4-686-pae-di usb-modules-3.2.0-4-686-pae-di usb-storage-modules-3.2.0-4-686-pae-di pcmcia-storage-modules-3.2.0-4-686-pae-di fb-modules-3.2.0-4-686-pae-di input-modules-3.2.0-4-686-pae-di event-modules-3.2.0-4-686-pae-di mouse-modules-3.2.0-4-686-pae-di irda-modules-3.2.0-4-686-pae-di parport-modules-3.2.0-4-686-pae-di nic-pcmcia-modules-3.2.0-4-686-pae-di pcmcia-modules-3.2.0-4-686-pae-di nic-usb-modules-3.2.0-4-686-pae-di sata-modules-3.2.0-4-686-pae-di
 core-modules-3.2.0-4-686-pae-di acpi-modules-3.2.0-4-686-pae-di i2c-modules-3.2.0-4-686-pae-di crc-modules-3.2.0-4-686-pae-di crypto-modules-3.2.0-4-686-pae-di crypto-dm-modules-3.2.0-4-686-pae-di efi-modules-3.2.0-4-686-pae-di ata-modules-3.2.0-4-686-pae-di mmc-core-modules-3.2.0-4-686-pae-di mmc-modules-3.2.0-4-686-pae-di nbd-modules-3.2.0-4-686-pae-di squashfs-modules-3.2.0-4-686-pae-di speakup-modules-3.2.0-4-686-pae-di virtio-modules-3.2.0-4-686-pae-di uinput-modules-3.2.0-4-686-pae-di sound-modules-3.2.0-4-686-pae-di zlib-modules-3.2.0-4-686-pae-di hyperv-modules-3.2.0-4-686-pae-di udf-modules-3.2.0-4-686-pae-di fuse-modules-3.2.0-4-686-pae-di linux-image-3.2.0-4-486 linux-headers-3.2.0-4-486 linux-image-3.2.0-4-686-pae linux-headers-3.2.0-4-686-pae linux-image-3.2.0-4-686-pae-dbg xen-linux-system-3.2.0-4-686-pae linux-image-3.2.0-4-rt-686-pae linux-headers-3.2.0-4-rt-686-pae linux-image-3.2.0-4-rt-686-pae-dbg linux-headers-3.2.0-4-all-ia64
 kernel-image-3.2.0-4-itanium-di nic-modules-3.2.0-4-itanium-di nic-shared-modules-3.2.0-4-itanium-di serial-modules-3.2.0-4-itanium-di ppp-modules-3.2.0-4-itanium-di ide-modules-3.2.0-4-itanium-di pata-modules-3.2.0-4-itanium-di ide-core-modules-3.2.0-4-itanium-di cdrom-core-modules-3.2.0-4-itanium-di firewire-core-modules-3.2.0-4-itanium-di scsi-core-modules-3.2.0-4-itanium-di scsi-modules-3.2.0-4-itanium-di plip-modules-3.2.0-4-itanium-di loop-modules-3.2.0-4-itanium-di btrfs-modules-3.2.0-4-itanium-di ext2-modules-3.2.0-4-itanium-di ext3-modules-3.2.0-4-itanium-di ext4-modules-3.2.0-4-itanium-di isofs-modules-3.2.0-4-itanium-di jfs-modules-3.2.0-4-itanium-di ntfs-modules-3.2.0-4-itanium-di reiserfs-modules-3.2.0-4-itanium-di xfs-modules-3.2.0-4-itanium-di fat-modules-3.2.0-4-itanium-di ufs-modules-3.2.0-4-itanium-di md-modules-3.2.0-4-itanium-di multipath-modules-3.2.0-4-itanium-di usb-modules-3.2.0-4-itanium-di usb-storage-modules-3.2.0-4-itanium-di
 fb-modules-3.2.0-4-itanium-di input-modules-3.2.0-4-itanium-di event-modules-3.2.0-4-itanium-di mouse-modules-3.2.0-4-itanium-di irda-modules-3.2.0-4-itanium-di parport-modules-3.2.0-4-itanium-di pcmcia-modules-3.2.0-4-itanium-di nic-usb-modules-3.2.0-4-itanium-di sata-modules-3.2.0-4-itanium-di core-modules-3.2.0-4-itanium-di crc-modules-3.2.0-4-itanium-di crypto-modules-3.2.0-4-itanium-di crypto-dm-modules-3.2.0-4-itanium-di efi-modules-3.2.0-4-itanium-di ata-modules-3.2.0-4-itanium-di nbd-modules-3.2.0-4-itanium-di squashfs-modules-3.2.0-4-itanium-di uinput-modules-3.2.0-4-itanium-di zlib-modules-3.2.0-4-itanium-di udf-modules-3.2.0-4-itanium-di fuse-modules-3.2.0-4-itanium-di sn-modules-3.2.0-4-itanium-di linux-image-3.2.0-4-itanium linux-headers-3.2.0-4-itanium linux-image-3.2.0-4-mckinley linux-headers-3.2.0-4-mckinley linux-headers-3.2.0-4-all-m68k kernel-image-3.2.0-4-amiga-di nic-shared-modules-3.2.0-4-amiga-di ppp-modules-3.2.0-4-amiga-di
 cdrom-core-modules-3.2.0-4-amiga-di scsi-modules-3.2.0-4-amiga-di ipv6-modules-3.2.0-4-amiga-di btrfs-modules-3.2.0-4-amiga-di isofs-modules-3.2.0-4-amiga-di jfs-modules-3.2.0-4-amiga-di reiserfs-modules-3.2.0-4-amiga-di fat-modules-3.2.0-4-amiga-di md-modules-3.2.0-4-amiga-di crypto-modules-3.2.0-4-amiga-di nbd-modules-3.2.0-4-amiga-di squashfs-modules-3.2.0-4-amiga-di zlib-modules-3.2.0-4-amiga-di udf-modules-3.2.0-4-amiga-di fuse-modules-3.2.0-4-amiga-di kernel-image-3.2.0-4-atari-di nic-shared-modules-3.2.0-4-atari-di ppp-modules-3.2.0-4-atari-di cdrom-core-modules-3.2.0-4-atari-di scsi-modules-3.2.0-4-atari-di ipv6-modules-3.2.0-4-atari-di btrfs-modules-3.2.0-4-atari-di isofs-modules-3.2.0-4-atari-di jfs-modules-3.2.0-4-atari-di reiserfs-modules-3.2.0-4-atari-di fat-modules-3.2.0-4-atari-di md-modules-3.2.0-4-atari-di crypto-modules-3.2.0-4-atari-di nbd-modules-3.2.0-4-atari-di squashfs-modules-3.2.0-4-atari-di zlib-modules-3.2.0-4-atari-di
 udf-modules-3.2.0-4-atari-di fuse-modules-3.2.0-4-atari-di kernel-image-3.2.0-4-mac-di nic-shared-modules-3.2.0-4-mac-di ppp-modules-3.2.0-4-mac-di cdrom-core-modules-3.2.0-4-mac-di scsi-modules-3.2.0-4-mac-di ipv6-modules-3.2.0-4-mac-di btrfs-modules-3.2.0-4-mac-di isofs-modules-3.2.0-4-mac-di jfs-modules-3.2.0-4-mac-di reiserfs-modules-3.2.0-4-mac-di fat-modules-3.2.0-4-mac-di md-modules-3.2.0-4-mac-di crypto-modules-3.2.0-4-mac-di nbd-modules-3.2.0-4-mac-di squashfs-modules-3.2.0-4-mac-di zlib-modules-3.2.0-4-mac-di udf-modules-3.2.0-4-mac-di fuse-modules-3.2.0-4-mac-di linux-image-3.2.0-4-amiga linux-headers-3.2.0-4-amiga linux-image-3.2.0-4-atari linux-headers-3.2.0-4-atari linux-image-3.2.0-4-bvme6000 linux-headers-3.2.0-4-bvme6000 linux-image-3.2.0-4-mac linux-headers-3.2.0-4-mac linux-image-3.2.0-4-mvme147 linux-headers-3.2.0-4-mvme147 linux-image-3.2.0-4-mvme16x linux-headers-3.2.0-4-mvme16x linux-headers-3.2.0-4-all-mips
 kernel-image-3.2.0-4-sb1-bcm91250a-di nic-shared-modules-3.2.0-4-sb1-bcm91250a-di ppp-modules-3.2.0-4-sb1-bcm91250a-di cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-core-modules-3.2.0-4-sb1-bcm91250a-di scsi-modules-3.2.0-4-sb1-bcm91250a-di scsi-common-modules-3.2.0-4-sb1-bcm91250a-di loop-modules-3.2.0-4-sb1-bcm91250a-di ipv6-modules-3.2.0-4-sb1-bcm91250a-di btrfs-modules-3.2.0-4-sb1-bcm91250a-di isofs-modules-3.2.0-4-sb1-bcm91250a-di jfs-modules-3.2.0-4-sb1-bcm91250a-di reiserfs-modules-3.2.0-4-sb1-bcm91250a-di xfs-modules-3.2.0-4-sb1-bcm91250a-di fat-modules-3.2.0-4-sb1-bcm91250a-di md-modules-3.2.0-4-sb1-bcm91250a-di multipath-modules-3.2.0-4-sb1-bcm91250a-di usb-modules-3.2.0-4-sb1-bcm91250a-di usb-storage-modules-3.2.0-4-sb1-bcm91250a-di fb-modules-3.2.0-4-sb1-bcm91250a-di input-modules-3.2.0-4-sb1-bcm91250a-di sata-modules-3.2.0-4-sb1-bcm91250a-di crypto-modules-3.2.0-4-sb1-bcm91250a-di crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di
 nbd-modules-3.2.0-4-sb1-bcm91250a-di squashfs-modules-3.2.0-4-sb1-bcm91250a-di rtc-modules-3.2.0-4-sb1-bcm91250a-di zlib-modules-3.2.0-4-sb1-bcm91250a-di udf-modules-3.2.0-4-sb1-bcm91250a-di fuse-modules-3.2.0-4-sb1-bcm91250a-di kernel-image-3.2.0-4-r4k-ip22-di nic-shared-modules-3.2.0-4-r4k-ip22-di loop-modules-3.2.0-4-r4k-ip22-di ipv6-modules-3.2.0-4-r4k-ip22-di btrfs-modules-3.2.0-4-r4k-ip22-di isofs-modules-3.2.0-4-r4k-ip22-di jfs-modules-3.2.0-4-r4k-ip22-di reiserfs-modules-3.2.0-4-r4k-ip22-di xfs-modules-3.2.0-4-r4k-ip22-di md-modules-3.2.0-4-r4k-ip22-di multipath-modules-3.2.0-4-r4k-ip22-di crypto-modules-3.2.0-4-r4k-ip22-di crypto-dm-modules-3.2.0-4-r4k-ip22-di nbd-modules-3.2.0-4-r4k-ip22-di squashfs-modules-3.2.0-4-r4k-ip22-di zlib-modules-3.2.0-4-r4k-ip22-di udf-modules-3.2.0-4-r4k-ip22-di fuse-modules-3.2.0-4-r4k-ip22-di kernel-image-3.2.0-4-r5k-ip32-di nic-shared-modules-3.2.0-4-r5k-ip32-di loop-modules-3.2.0-4-r5k-ip32-di
 ipv6-modules-3.2.0-4-r5k-ip32-di btrfs-modules-3.2.0-4-r5k-ip32-di isofs-modules-3.2.0-4-r5k-ip32-di jfs-modules-3.2.0-4-r5k-ip32-di reiserfs-modules-3.2.0-4-r5k-ip32-di xfs-modules-3.2.0-4-r5k-ip32-di md-modules-3.2.0-4-r5k-ip32-di multipath-modules-3.2.0-4-r5k-ip32-di crypto-modules-3.2.0-4-r5k-ip32-di crypto-dm-modules-3.2.0-4-r5k-ip32-di nbd-modules-3.2.0-4-r5k-ip32-di squashfs-modules-3.2.0-4-r5k-ip32-di zlib-modules-3.2.0-4-r5k-ip32-di udf-modules-3.2.0-4-r5k-ip32-di fuse-modules-3.2.0-4-r5k-ip32-di kernel-image-3.2.0-4-4kc-malta-di ppp-modules-3.2.0-4-4kc-malta-di cdrom-core-modules-3.2.0-4-4kc-malta-di loop-modules-3.2.0-4-4kc-malta-di ipv6-modules-3.2.0-4-4kc-malta-di btrfs-modules-3.2.0-4-4kc-malta-di isofs-modules-3.2.0-4-4kc-malta-di jfs-modules-3.2.0-4-4kc-malta-di reiserfs-modules-3.2.0-4-4kc-malta-di xfs-modules-3.2.0-4-4kc-malta-di fat-modules-3.2.0-4-4kc-malta-di md-modules-3.2.0-4-4kc-malta-di multipath-modules-3.2.0-4-4kc-malta-di
 usb-modules-3.2.0-4-4kc-malta-di usb-storage-modules-3.2.0-4-4kc-malta-di input-modules-3.2.0-4-4kc-malta-di sata-modules-3.2.0-4-4kc-malta-di crypto-modules-3.2.0-4-4kc-malta-di crypto-dm-modules-3.2.0-4-4kc-malta-di nbd-modules-3.2.0-4-4kc-malta-di squashfs-modules-3.2.0-4-4kc-malta-di virtio-modules-3.2.0-4-4kc-malta-di zlib-modules-3.2.0-4-4kc-malta-di udf-modules-3.2.0-4-4kc-malta-di fuse-modules-3.2.0-4-4kc-malta-di linux-image-3.2.0-4-r4k-ip22 linux-headers-3.2.0-4-r4k-ip22 linux-image-3.2.0-4-r5k-ip32 linux-headers-3.2.0-4-r5k-ip32 linux-image-3.2.0-4-sb1-bcm91250a linux-headers-3.2.0-4-sb1-bcm91250a linux-image-3.2.0-4-sb1a-bcm91480b linux-headers-3.2.0-4-sb1a-bcm91480b linux-image-3.2.0-4-4kc-malta linux-headers-3.2.0-4-4kc-malta linux-image-3.2.0-4-5kc-malta linux-headers-3.2.0-4-5kc-malta linux-image-3.2.0-4-octeon linux-headers-3.2.0-4-octeon linux-headers-3.2.0-4-all-mipsel kernel-image-3.2.0-4-r5k-cobalt-di nic-shared-modules-3.2.0-4-r5k-cobalt-di
 ppp-modules-3.2.0-4-r5k-cobalt-di loop-modules-3.2.0-4-r5k-cobalt-di ipv6-modules-3.2.0-4-r5k-cobalt-di btrfs-modules-3.2.0-4-r5k-cobalt-di jfs-modules-3.2.0-4-r5k-cobalt-di reiserfs-modules-3.2.0-4-r5k-cobalt-di xfs-modules-3.2.0-4-r5k-cobalt-di fat-modules-3.2.0-4-r5k-cobalt-di nfs-modules-3.2.0-4-r5k-cobalt-di md-modules-3.2.0-4-r5k-cobalt-di multipath-modules-3.2.0-4-r5k-cobalt-di crypto-modules-3.2.0-4-r5k-cobalt-di crypto-dm-modules-3.2.0-4-r5k-cobalt-di nbd-modules-3.2.0-4-r5k-cobalt-di squashfs-modules-3.2.0-4-r5k-cobalt-di zlib-modules-3.2.0-4-r5k-cobalt-di fuse-modules-3.2.0-4-r5k-cobalt-di kernel-image-3.2.0-4-loongson-2f-di nic-modules-3.2.0-4-loongson-2f-di nic-shared-modules-3.2.0-4-loongson-2f-di ppp-modules-3.2.0-4-loongson-2f-di cdrom-core-modules-3.2.0-4-loongson-2f-di loop-modules-3.2.0-4-loongson-2f-di ipv6-modules-3.2.0-4-loongson-2f-di btrfs-modules-3.2.0-4-loongson-2f-di isofs-modules-3.2.0-4-loongson-2f-di jfs-modules-3.2.0-4-loongson-2f-di
 reiserfs-modules-3.2.0-4-loongson-2f-di xfs-modules-3.2.0-4-loongson-2f-di fat-modules-3.2.0-4-loongson-2f-di md-modules-3.2.0-4-loongson-2f-di multipath-modules-3.2.0-4-loongson-2f-di usb-modules-3.2.0-4-loongson-2f-di usb-storage-modules-3.2.0-4-loongson-2f-di input-modules-3.2.0-4-loongson-2f-di nic-usb-modules-3.2.0-4-loongson-2f-di sata-modules-3.2.0-4-loongson-2f-di crypto-modules-3.2.0-4-loongson-2f-di crypto-dm-modules-3.2.0-4-loongson-2f-di nbd-modules-3.2.0-4-loongson-2f-di squashfs-modules-3.2.0-4-loongson-2f-di virtio-modules-3.2.0-4-loongson-2f-di zlib-modules-3.2.0-4-loongson-2f-di udf-modules-3.2.0-4-loongson-2f-di fuse-modules-3.2.0-4-loongson-2f-di linux-image-3.2.0-4-r5k-cobalt linux-headers-3.2.0-4-r5k-cobalt linux-image-3.2.0-4-loongson-2f linux-headers-3.2.0-4-loongson-2f linux-headers-3.2.0-4-all-powerpc kernel-image-3.2.0-4-powerpc-di nic-modules-3.2.0-4-powerpc-di nic-extra-modules-3.2.0-4-powerpc-di nic-shared-modules-3.2.0-4-powerpc-di
 serial-modules-3.2.0-4-powerpc-di usb-serial-modules-3.2.0-4-powerpc-di ppp-modules-3.2.0-4-powerpc-di pata-modules-3.2.0-4-powerpc-di cdrom-core-modules-3.2.0-4-powerpc-di firewire-core-modules-3.2.0-4-powerpc-di scsi-core-modules-3.2.0-4-powerpc-di scsi-modules-3.2.0-4-powerpc-di scsi-common-modules-3.2.0-4-powerpc-di scsi-extra-modules-3.2.0-4-powerpc-di floppy-modules-3.2.0-4-powerpc-di loop-modules-3.2.0-4-powerpc-di btrfs-modules-3.2.0-4-powerpc-di ext2-modules-3.2.0-4-powerpc-di ext3-modules-3.2.0-4-powerpc-di ext4-modules-3.2.0-4-powerpc-di isofs-modules-3.2.0-4-powerpc-di jfs-modules-3.2.0-4-powerpc-di reiserfs-modules-3.2.0-4-powerpc-di xfs-modules-3.2.0-4-powerpc-di fat-modules-3.2.0-4-powerpc-di hfs-modules-3.2.0-4-powerpc-di affs-modules-3.2.0-4-powerpc-di ufs-modules-3.2.0-4-powerpc-di md-modules-3.2.0-4-powerpc-di multipath-modules-3.2.0-4-powerpc-di usb-modules-3.2.0-4-powerpc-di usb-storage-modules-3.2.0-4-powerpc-di
 pcmcia-storage-modules-3.2.0-4-powerpc-di input-modules-3.2.0-4-powerpc-di event-modules-3.2.0-4-powerpc-di mouse-modules-3.2.0-4-powerpc-di irda-modules-3.2.0-4-powerpc-di nic-pcmcia-modules-3.2.0-4-powerpc-di pcmcia-modules-3.2.0-4-powerpc-di sata-modules-3.2.0-4-powerpc-di core-modules-3.2.0-4-powerpc-di crc-modules-3.2.0-4-powerpc-di crypto-modules-3.2.0-4-powerpc-di crypto-dm-modules-3.2.0-4-powerpc-di ata-modules-3.2.0-4-powerpc-di nbd-modules-3.2.0-4-powerpc-di squashfs-modules-3.2.0-4-powerpc-di virtio-modules-3.2.0-4-powerpc-di uinput-modules-3.2.0-4-powerpc-di zlib-modules-3.2.0-4-powerpc-di udf-modules-3.2.0-4-powerpc-di fuse-modules-3.2.0-4-powerpc-di kernel-image-3.2.0-4-powerpc64-di nic-modules-3.2.0-4-powerpc64-di nic-extra-modules-3.2.0-4-powerpc64-di nic-shared-modules-3.2.0-4-powerpc64-di serial-modules-3.2.0-4-powerpc64-di usb-serial-modules-3.2.0-4-powerpc64-di ppp-modules-3.2.0-4-powerpc64-di pata-modules-3.2.0-4-powerpc64-di
 cdrom-core-modules-3.2.0-4-powerpc64-di firewire-core-modules-3.2.0-4-powerpc64-di scsi-core-modules-3.2.0-4-powerpc64-di scsi-modules-3.2.0-4-powerpc64-di scsi-common-modules-3.2.0-4-powerpc64-di scsi-extra-modules-3.2.0-4-powerpc64-di floppy-modules-3.2.0-4-powerpc64-di loop-modules-3.2.0-4-powerpc64-di btrfs-modules-3.2.0-4-powerpc64-di ext2-modules-3.2.0-4-powerpc64-di ext3-modules-3.2.0-4-powerpc64-di ext4-modules-3.2.0-4-powerpc64-di isofs-modules-3.2.0-4-powerpc64-di jfs-modules-3.2.0-4-powerpc64-di reiserfs-modules-3.2.0-4-powerpc64-di xfs-modules-3.2.0-4-powerpc64-di fat-modules-3.2.0-4-powerpc64-di hfs-modules-3.2.0-4-powerpc64-di affs-modules-3.2.0-4-powerpc64-di ufs-modules-3.2.0-4-powerpc64-di md-modules-3.2.0-4-powerpc64-di multipath-modules-3.2.0-4-powerpc64-di usb-modules-3.2.0-4-powerpc64-di usb-storage-modules-3.2.0-4-powerpc64-di pcmcia-storage-modules-3.2.0-4-powerpc64-di input-modules-3.2.0-4-powerpc64-di event-modules-3.2.0-4-powerpc64-di
 mouse-modules-3.2.0-4-powerpc64-di irda-modules-3.2.0-4-powerpc64-di nic-pcmcia-modules-3.2.0-4-powerpc64-di pcmcia-modules-3.2.0-4-powerpc64-di sata-modules-3.2.0-4-powerpc64-di core-modules-3.2.0-4-powerpc64-di crc-modules-3.2.0-4-powerpc64-di crypto-modules-3.2.0-4-powerpc64-di crypto-dm-modules-3.2.0-4-powerpc64-di ata-modules-3.2.0-4-powerpc64-di nbd-modules-3.2.0-4-powerpc64-di squashfs-modules-3.2.0-4-powerpc64-di virtio-modules-3.2.0-4-powerpc64-di uinput-modules-3.2.0-4-powerpc64-di udf-modules-3.2.0-4-powerpc64-di fuse-modules-3.2.0-4-powerpc64-di hypervisor-modules-3.2.0-4-powerpc64-di fancontrol-modules-3.2.0-4-powerpc64-di linux-image-3.2.0-4-powerpc linux-headers-3.2.0-4-powerpc linux-image-3.2.0-4-powerpc-smp linux-headers-3.2.0-4-powerpc-smp linux-image-3.2.0-4-powerpc64 linux-headers-3.2.0-4-powerpc64 linux-headers-3.2.0-4-all-ppc64 linux-headers-3.2.0-4-all-s390 kernel-image-3.2.0-4-s390x-di nic-modules-3.2.0-4-s390x-di
 scsi-core-modules-3.2.0-4-s390x-di scsi-modules-3.2.0-4-s390x-di ext2-modules-3.2.0-4-s390x-di ext3-modules-3.2.0-4-s390x-di ext4-modules-3.2.0-4-s390x-di xfs-modules-3.2.0-4-s390x-di fat-modules-3.2.0-4-s390x-di md-modules-3.2.0-4-s390x-di multipath-modules-3.2.0-4-s390x-di core-modules-3.2.0-4-s390x-di crypto-modules-3.2.0-4-s390x-di crypto-dm-modules-3.2.0-4-s390x-di nbd-modules-3.2.0-4-s390x-di virtio-modules-3.2.0-4-s390x-di fuse-modules-3.2.0-4-s390x-di dasd-modules-3.2.0-4-s390x-di dasd-extra-modules-3.2.0-4-s390x-di kernel-image-3.2.0-4-s390x-tape-di linux-image-3.2.0-4-s390x linux-headers-3.2.0-4-s390x linux-image-3.2.0-4-s390x-dbg linux-image-3.2.0-4-s390x-tape linux-headers-3.2.0-4-all-s390x linux-headers-3.2.0-4-all-sh4 kernel-image-3.2.0-4-sh7751r-di nic-modules-3.2.0-4-sh7751r-di usb-serial-modules-3.2.0-4-sh7751r-di ppp-modules-3.2.0-4-sh7751r-di pata-modules-3.2.0-4-sh7751r-di cdrom-core-modules-3.2.0-4-sh7751r-di
 firewire-core-modules-3.2.0-4-sh7751r-di scsi-core-modules-3.2.0-4-sh7751r-di loop-modules-3.2.0-4-sh7751r-di ipv6-modules-3.2.0-4-sh7751r-di btrfs-modules-3.2.0-4-sh7751r-di ext2-modules-3.2.0-4-sh7751r-di ext4-modules-3.2.0-4-sh7751r-di isofs-modules-3.2.0-4-sh7751r-di jfs-modules-3.2.0-4-sh7751r-di reiserfs-modules-3.2.0-4-sh7751r-di xfs-modules-3.2.0-4-sh7751r-di fat-modules-3.2.0-4-sh7751r-di ufs-modules-3.2.0-4-sh7751r-di minix-modules-3.2.0-4-sh7751r-di md-modules-3.2.0-4-sh7751r-di multipath-modules-3.2.0-4-sh7751r-di usb-storage-modules-3.2.0-4-sh7751r-di parport-modules-3.2.0-4-sh7751r-di nic-usb-modules-3.2.0-4-sh7751r-di sata-modules-3.2.0-4-sh7751r-di i2c-modules-3.2.0-4-sh7751r-di crc-modules-3.2.0-4-sh7751r-di crypto-modules-3.2.0-4-sh7751r-di crypto-dm-modules-3.2.0-4-sh7751r-di nbd-modules-3.2.0-4-sh7751r-di squashfs-modules-3.2.0-4-sh7751r-di speakup-modules-3.2.0-4-sh7751r-di virtio-modules-3.2.0-4-sh7751r-di sound-modules-3.2.0-4-sh7751r-di
 zlib-modules-3.2.0-4-sh7751r-di udf-modules-3.2.0-4-sh7751r-di fuse-modules-3.2.0-4-sh7751r-di kernel-image-3.2.0-4-sh7785lcr-di nic-modules-3.2.0-4-sh7785lcr-di usb-serial-modules-3.2.0-4-sh7785lcr-di ppp-modules-3.2.0-4-sh7785lcr-di pata-modules-3.2.0-4-sh7785lcr-di cdrom-core-modules-3.2.0-4-sh7785lcr-di firewire-core-modules-3.2.0-4-sh7785lcr-di scsi-core-modules-3.2.0-4-sh7785lcr-di loop-modules-3.2.0-4-sh7785lcr-di ipv6-modules-3.2.0-4-sh7785lcr-di btrfs-modules-3.2.0-4-sh7785lcr-di ext2-modules-3.2.0-4-sh7785lcr-di ext4-modules-3.2.0-4-sh7785lcr-di isofs-modules-3.2.0-4-sh7785lcr-di jfs-modules-3.2.0-4-sh7785lcr-di reiserfs-modules-3.2.0-4-sh7785lcr-di xfs-modules-3.2.0-4-sh7785lcr-di fat-modules-3.2.0-4-sh7785lcr-di ufs-modules-3.2.0-4-sh7785lcr-di minix-modules-3.2.0-4-sh7785lcr-di md-modules-3.2.0-4-sh7785lcr-di multipath-modules-3.2.0-4-sh7785lcr-di parport-modules-3.2.0-4-sh7785lcr-di nic-usb-modules-3.2.0-4-sh7785lcr-di sata-modules-3.2.0-4-sh7785lcr-di
 crc-modules-3.2.0-4-sh7785lcr-di crypto-modules-3.2.0-4-sh7785lcr-di crypto-dm-modules-3.2.0-4-sh7785lcr-di nbd-modules-3.2.0-4-sh7785lcr-di squashfs-modules-3.2.0-4-sh7785lcr-di speakup-modules-3.2.0-4-sh7785lcr-di sound-modules-3.2.0-4-sh7785lcr-di zlib-modules-3.2.0-4-sh7785lcr-di udf-modules-3.2.0-4-sh7785lcr-di fuse-modules-3.2.0-4-sh7785lcr-di linux-image-3.2.0-4-sh7751r linux-headers-3.2.0-4-sh7751r linux-image-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-sh7785lcr linux-headers-3.2.0-4-all-sparc kernel-image-3.2.0-4-sparc64-di nic-modules-3.2.0-4-sparc64-di ppp-modules-3.2.0-4-sparc64-di pata-modules-3.2.0-4-sparc64-di cdrom-core-modules-3.2.0-4-sparc64-di scsi-core-modules-3.2.0-4-sparc64-di scsi-modules-3.2.0-4-sparc64-di scsi-common-modules-3.2.0-4-sparc64-di plip-modules-3.2.0-4-sparc64-di btrfs-modules-3.2.0-4-sparc64-di ext2-modules-3.2.0-4-sparc64-di ext3-modules-3.2.0-4-sparc64-di ext4-modules-3.2.0-4-sparc64-di isofs-modules-3.2.0-4-sparc64-di
 jfs-modules-3.2.0-4-sparc64-di reiserfs-modules-3.2.0-4-sparc64-di xfs-modules-3.2.0-4-sparc64-di fat-modules-3.2.0-4-sparc64-di md-modules-3.2.0-4-sparc64-di multipath-modules-3.2.0-4-sparc64-di usb-modules-3.2.0-4-sparc64-di usb-storage-modules-3.2.0-4-sparc64-di input-modules-3.2.0-4-sparc64-di sata-modules-3.2.0-4-sparc64-di core-modules-3.2.0-4-sparc64-di crypto-modules-3.2.0-4-sparc64-di crypto-dm-modules-3.2.0-4-sparc64-di ata-modules-3.2.0-4-sparc64-di nbd-modules-3.2.0-4-sparc64-di squashfs-modules-3.2.0-4-sparc64-di virtio-modules-3.2.0-4-sparc64-di zlib-modules-3.2.0-4-sparc64-di udf-modules-3.2.0-4-sparc64-di fuse-modules-3.2.0-4-sparc64-di linux-image-3.2.0-4-sparc64 linux-headers-3.2.0-4-sparc64 linux-image-3.2.0-4-sparc64-smp linux-headers-3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-all-sparc64
Architecture: all source
Version: 3.2.39-1
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 627372 664068 680737 684767 685726 686636 687442 689268 690284 693997 696182 696321 696592 696650 696925 697035 697077 697128 697229 697479 697740 697903 698376 698382 699129 699283 699913 700211 700418 700550
Description: 
 acpi-modules-3.2.0-4-486-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-686-pae-di - ACPI support modules (udeb)
 acpi-modules-3.2.0-4-amd64-di - ACPI support modules (udeb)
 affs-modules-3.2.0-4-powerpc64-di - Amiga filesystem support (udeb)
 affs-modules-3.2.0-4-powerpc-di - Amiga filesystem support (udeb)
 ata-modules-3.2.0-4-486-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-686-pae-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-amd64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-iop32x-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-itanium-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-mx5-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc64-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-powerpc-di - ATA disk modules (udeb)
 ata-modules-3.2.0-4-sparc64-di - ATA disk modules (udeb)
 btrfs-modules-3.2.0-4-486-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-4kc-malta-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-686-pae-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amd64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-amiga-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-atari-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-iop32x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-itanium-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-kirkwood-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-loongson-2f-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mac-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-mx5-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-orion5x-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-parisc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-powerpc-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r4k-ip22-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-cobalt-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-r5k-ip32-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sb1-bcm91250a-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7751r-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sh7785lcr-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-sparc64-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-versatile-di - BTRFS filesystem support (udeb)
 btrfs-modules-3.2.0-4-vexpress-di - BTRFS filesystem support (udeb)
 cdrom-core-modules-3.2.0-4-486-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-4kc-malta-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-686-pae-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amd64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-amiga-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-atari-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-iop32x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-itanium-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-kirkwood-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-loongson-2f-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-mac-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-orion5x-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-parisc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-powerpc-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sb1-bcm91250a-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7751r-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sh7785lcr-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-sparc64-di - CDROM support (udeb)
 cdrom-core-modules-3.2.0-4-versatile-di - CDROM support (udeb)
 core-modules-3.2.0-4-486-di - Core modules (udeb)
 core-modules-3.2.0-4-686-pae-di - Core modules (udeb)
 core-modules-3.2.0-4-amd64-di - Core modules (udeb)
 core-modules-3.2.0-4-iop32x-di - Core modules (udeb)
 core-modules-3.2.0-4-itanium-di - Core modules (udeb)
 core-modules-3.2.0-4-kirkwood-di - Core modules (udeb)
 core-modules-3.2.0-4-mx5-di - Core modules (udeb)
 core-modules-3.2.0-4-orion5x-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc64-di - Core modules (udeb)
 core-modules-3.2.0-4-powerpc-di - Core modules (udeb)
 core-modules-3.2.0-4-s390x-di - Core modules (udeb)
 core-modules-3.2.0-4-sparc64-di - Core modules (udeb)
 core-modules-3.2.0-4-versatile-di - Core modules (udeb)
 core-modules-3.2.0-4-vexpress-di - Core modules (udeb)
 crc-modules-3.2.0-4-486-di - CRC modules (udeb)
 crc-modules-3.2.0-4-686-pae-di - CRC modules (udeb)
 crc-modules-3.2.0-4-amd64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-iop32x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-itanium-di - CRC modules (udeb)
 crc-modules-3.2.0-4-kirkwood-di - CRC modules (udeb)
 crc-modules-3.2.0-4-mx5-di - CRC modules (udeb)
 crc-modules-3.2.0-4-orion5x-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc64-di - CRC modules (udeb)
 crc-modules-3.2.0-4-powerpc-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7751r-di - CRC modules (udeb)
 crc-modules-3.2.0-4-sh7785lcr-di - CRC modules (udeb)
 crc-modules-3.2.0-4-versatile-di - CRC modules (udeb)
 crc-modules-3.2.0-4-vexpress-di - CRC modules (udeb)
 crypto-dm-modules-3.2.0-4-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-4kc-malta-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-686-pae-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-amd64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-iop32x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-itanium-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-kirkwood-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-loongson-2f-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-mx5-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-orion5x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-parisc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-powerpc-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r4k-ip22-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-cobalt-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-r5k-ip32-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-s390x-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sb1-bcm91250a-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7751r-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sh7785lcr-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-sparc64-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-versatile-di - devicemapper crypto module (udeb)
 crypto-dm-modules-3.2.0-4-vexpress-di - devicemapper crypto module (udeb)
 crypto-modules-3.2.0-4-486-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-4kc-malta-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-686-pae-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amd64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-amiga-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-atari-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-iop32x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-itanium-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-kirkwood-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-loongson-2f-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mac-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-mx5-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-orion5x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-parisc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-powerpc-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r4k-ip22-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-cobalt-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-r5k-ip32-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-s390x-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sb1-bcm91250a-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7751r-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sh7785lcr-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-sparc64-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-versatile-di - crypto modules (udeb)
 crypto-modules-3.2.0-4-vexpress-di - crypto modules (udeb)
 dasd-extra-modules-3.2.0-4-s390x-di - optional dasd DIAG support (udeb)
 dasd-modules-3.2.0-4-s390x-di - dasd modules (udeb)
 efi-modules-3.2.0-4-486-di - EFI modules (udeb)
 efi-modules-3.2.0-4-686-pae-di - EFI modules (udeb)
 efi-modules-3.2.0-4-amd64-di - EFI modules (udeb)
 efi-modules-3.2.0-4-itanium-di - EFI modules (udeb)
 event-modules-3.2.0-4-486-di - Event support (udeb)
 event-modules-3.2.0-4-686-pae-di - Event support (udeb)
 event-modules-3.2.0-4-amd64-di - Event support (udeb)
 event-modules-3.2.0-4-iop32x-di - Event support (udeb)
 event-modules-3.2.0-4-itanium-di - Event support (udeb)
 event-modules-3.2.0-4-kirkwood-di - Event support (udeb)
 event-modules-3.2.0-4-orion5x-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc64-di - Event support (udeb)
 event-modules-3.2.0-4-powerpc-di - Event support (udeb)
 ext2-modules-3.2.0-4-486-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-686-pae-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-amd64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-iop32x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-itanium-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-kirkwood-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-mx5-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-orion5x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-powerpc-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-s390x-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7751r-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sh7785lcr-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-sparc64-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-versatile-di - EXT2 filesystem support (udeb)
 ext2-modules-3.2.0-4-vexpress-di - EXT2 filesystem support (udeb)
 ext3-modules-3.2.0-4-486-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-686-pae-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-amd64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-iop32x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-itanium-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-kirkwood-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-mx5-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-orion5x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-parisc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-powerpc-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-s390x-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-sparc64-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-versatile-di - EXT3 filesystem support (udeb)
 ext3-modules-3.2.0-4-vexpress-di - EXT3 filesystem support (udeb)
 ext4-modules-3.2.0-4-486-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-686-pae-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-amd64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-iop32x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-itanium-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-kirkwood-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-mx5-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-orion5x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-parisc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-powerpc-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-s390x-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7751r-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sh7785lcr-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-sparc64-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-versatile-di - EXT4 filesystem support (udeb)
 ext4-modules-3.2.0-4-vexpress-di - EXT4 filesystem support (udeb)
 fancontrol-modules-3.2.0-4-powerpc64-di - Apple powermac fancontrol modules (udeb)
 fat-modules-3.2.0-4-486-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-4kc-malta-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-686-pae-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amd64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-amiga-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-atari-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-iop32x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-itanium-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-kirkwood-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-loongson-2f-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mac-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-mx5-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-orion5x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-parisc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-powerpc-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-r5k-cobalt-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-s390x-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sb1-bcm91250a-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7751r-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sh7785lcr-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-sparc64-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-versatile-di - FAT filesystem support (udeb)
 fat-modules-3.2.0-4-vexpress-di - FAT filesystem support (udeb)
 fb-modules-3.2.0-4-486-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-686-pae-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-amd64-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-itanium-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-kirkwood-di - Frame buffer support (udeb)
 fb-modules-3.2.0-4-sb1-bcm91250a-di - Frame buffer support (udeb)
 firewire-core-modules-3.2.0-4-486-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-686-pae-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-amd64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-itanium-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc64-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-powerpc-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7751r-di - Core FireWire drivers (udeb)
 firewire-core-modules-3.2.0-4-sh7785lcr-di - Core FireWire drivers (udeb)
 floppy-modules-3.2.0-4-486-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-686-pae-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-amd64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc64-di - Floppy driver (udeb)
 floppy-modules-3.2.0-4-powerpc-di - Floppy driver (udeb)
 fuse-modules-3.2.0-4-486-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-4kc-malta-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-686-pae-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amd64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-amiga-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-atari-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-iop32x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-itanium-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-kirkwood-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-loongson-2f-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mac-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-mx5-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-orion5x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-parisc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-powerpc-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r4k-ip22-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-cobalt-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-r5k-ip32-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-s390x-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sb1-bcm91250a-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7751r-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sh7785lcr-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-sparc64-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-versatile-di - FUSE modules (udeb)
 fuse-modules-3.2.0-4-vexpress-di - FUSE modules (udeb)
 hfs-modules-3.2.0-4-powerpc64-di - HFS filesystem support (udeb)
 hfs-modules-3.2.0-4-powerpc-di - HFS filesystem support (udeb)
 hypervisor-modules-3.2.0-4-powerpc64-di - IBM 64bit hypervisor console modules (udeb)
 hyperv-modules-3.2.0-4-486-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-686-pae-di - Hyper-V modules (udeb)
 hyperv-modules-3.2.0-4-amd64-di - Hyper-V modules (udeb)
 i2c-modules-3.2.0-4-486-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-686-pae-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-amd64-di - i2c support modules (udeb)
 i2c-modules-3.2.0-4-sh7751r-di - i2c support modules (udeb)
 ide-core-modules-3.2.0-4-itanium-di - IDE support (udeb)
 ide-modules-3.2.0-4-itanium-di - IDE drivers (udeb)
 input-modules-3.2.0-4-486-di - Input devices support (udeb)
 input-modules-3.2.0-4-4kc-malta-di - Input devices support (udeb)
 input-modules-3.2.0-4-686-pae-di - Input devices support (udeb)
 input-modules-3.2.0-4-amd64-di - Input devices support (udeb)
 input-modules-3.2.0-4-itanium-di - Input devices support (udeb)
 input-modules-3.2.0-4-kirkwood-di - Input devices support (udeb)
 input-modules-3.2.0-4-loongson-2f-di - Input devices support (udeb)
 input-modules-3.2.0-4-mx5-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-parisc-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-powerpc-di - Input devices support (udeb)
 input-modules-3.2.0-4-sb1-bcm91250a-di - Input devices support (udeb)
 input-modules-3.2.0-4-sparc64-di - Input devices support (udeb)
 input-modules-3.2.0-4-vexpress-di - Input devices support (udeb)
 ipv6-modules-3.2.0-4-4kc-malta-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-amiga-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-atari-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-iop32x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-kirkwood-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-loongson-2f-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mac-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-mx5-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-orion5x-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc64-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-parisc-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r4k-ip22-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-cobalt-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-r5k-ip32-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sb1-bcm91250a-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7751r-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-sh7785lcr-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-versatile-di - IPv6 driver (udeb)
 ipv6-modules-3.2.0-4-vexpress-di - IPv6 driver (udeb)
 irda-modules-3.2.0-4-486-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-686-pae-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-amd64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-itanium-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc64-di - Infrared devices support (udeb)
 irda-modules-3.2.0-4-powerpc-di - Infrared devices support (udeb)
 isofs-modules-3.2.0-4-486-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-4kc-malta-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-686-pae-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amd64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-amiga-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-atari-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-iop32x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-itanium-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-kirkwood-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-loongson-2f-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mac-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-mx5-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-orion5x-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-powerpc-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r4k-ip22-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-r5k-ip32-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sb1-bcm91250a-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7751r-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sh7785lcr-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-sparc64-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-versatile-di - ISOFS filesystem support (udeb)
 isofs-modules-3.2.0-4-vexpress-di - ISOFS filesystem support (udeb)
 jffs2-modules-3.2.0-4-iop32x-di - JFFS2 filesystem support (udeb)
 jffs2-modules-3.2.0-4-orion5x-di - JFFS2 filesystem support (udeb)
 jfs-modules-3.2.0-4-486-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-4kc-malta-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-686-pae-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amd64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-amiga-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-atari-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-iop32x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-itanium-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-kirkwood-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-loongson-2f-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mac-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-mx5-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-orion5x-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-powerpc-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r4k-ip22-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-cobalt-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-r5k-ip32-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sb1-bcm91250a-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7751r-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sh7785lcr-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-sparc64-di - JFS filesystem support (udeb)
 jfs-modules-3.2.0-4-vexpress-di - JFS filesystem support (udeb)
 kernel-image-3.2.0-4-486-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-4kc-malta-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-686-pae-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amd64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-amiga-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-atari-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-iop32x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-itanium-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-kirkwood-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-loongson-2f-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mac-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-mx5-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-orion5x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-parisc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-powerpc-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r4k-ip22-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-cobalt-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-r5k-ip32-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-s390x-tape-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sb1-bcm91250a-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7751r-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sh7785lcr-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-sparc64-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-versatile-di - Linux kernel binary image for the Debian installer (udeb)
 kernel-image-3.2.0-4-vexpress-di - Linux kernel binary image for the Debian installer (udeb)
 leds-modules-3.2.0-4-kirkwood-di - LED modules (udeb)
 linux-doc-3.2 - Linux kernel specific documentation for version 3.2
 linux-headers-3.2.0-4-486 - Header files for Linux 3.2.0-4-486
 linux-headers-3.2.0-4-4kc-malta - Header files for Linux 3.2.0-4-4kc-malta
 linux-headers-3.2.0-4-5kc-malta - Header files for Linux 3.2.0-4-5kc-malta
 linux-headers-3.2.0-4-686-pae - Header files for Linux 3.2.0-4-686-pae
 linux-headers-3.2.0-4-all - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-alpha - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-amd64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-armhf - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-hppa - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-i386 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ia64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-m68k - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mips - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-mipsel - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-powerpc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-ppc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-s390x - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sh4 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc64 - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-all-sparc - All header files for Linux 3.2 (meta-package)
 linux-headers-3.2.0-4-alpha-generic - Header files for Linux 3.2.0-4-alpha-generic
 linux-headers-3.2.0-4-alpha-legacy - Header files for Linux 3.2.0-4-alpha-legacy
 linux-headers-3.2.0-4-alpha-smp - Header files for Linux 3.2.0-4-alpha-smp
 linux-headers-3.2.0-4-amd64 - Header files for Linux 3.2.0-4-amd64
 linux-headers-3.2.0-4-amiga - Header files for Linux 3.2.0-4-amiga
 linux-headers-3.2.0-4-atari - Header files for Linux 3.2.0-4-atari
 linux-headers-3.2.0-4-bvme6000 - Header files for Linux 3.2.0-4-bvme6000
 linux-headers-3.2.0-4-common - Common header files for Linux 3.2.0-4
 linux-headers-3.2.0-4-common-rt - Common header files for Linux 3.2.0-4-rt
 linux-headers-3.2.0-4-iop32x - Header files for Linux 3.2.0-4-iop32x
 linux-headers-3.2.0-4-itanium - Header files for Linux 3.2.0-4-itanium
 linux-headers-3.2.0-4-ixp4xx - Header files for Linux 3.2.0-4-ixp4xx
 linux-headers-3.2.0-4-kirkwood - Header files for Linux 3.2.0-4-kirkwood
 linux-headers-3.2.0-4-loongson-2f - Header files for Linux 3.2.0-4-loongson-2f
 linux-headers-3.2.0-4-mac - Header files for Linux 3.2.0-4-mac
 linux-headers-3.2.0-4-mckinley - Header files for Linux 3.2.0-4-mckinley
 linux-headers-3.2.0-4-mv78xx0 - Header files for Linux 3.2.0-4-mv78xx0
 linux-headers-3.2.0-4-mvme147 - Header files for Linux 3.2.0-4-mvme147
 linux-headers-3.2.0-4-mvme16x - Header files for Linux 3.2.0-4-mvme16x
 linux-headers-3.2.0-4-mx5 - Header files for Linux 3.2.0-4-mx5
 linux-headers-3.2.0-4-octeon - Header files for Linux 3.2.0-4-octeon
 linux-headers-3.2.0-4-omap - Header files for Linux 3.2.0-4-omap
 linux-headers-3.2.0-4-orion5x - Header files for Linux 3.2.0-4-orion5x
 linux-headers-3.2.0-4-parisc64 - Header files for Linux 3.2.0-4-parisc64
 linux-headers-3.2.0-4-parisc64-smp - Header files for Linux 3.2.0-4-parisc64-smp
 linux-headers-3.2.0-4-parisc - Header files for Linux 3.2.0-4-parisc
 linux-headers-3.2.0-4-parisc-smp - Header files for Linux 3.2.0-4-parisc-smp
 linux-headers-3.2.0-4-powerpc64 - Header files for Linux 3.2.0-4-powerpc64
 linux-headers-3.2.0-4-powerpc - Header files for Linux 3.2.0-4-powerpc
 linux-headers-3.2.0-4-powerpc-smp - Header files for Linux 3.2.0-4-powerpc-smp
 linux-headers-3.2.0-4-r4k-ip22 - Header files for Linux 3.2.0-4-r4k-ip22
 linux-headers-3.2.0-4-r5k-cobalt - Header files for Linux 3.2.0-4-r5k-cobalt
 linux-headers-3.2.0-4-r5k-ip32 - Header files for Linux 3.2.0-4-r5k-ip32
 linux-headers-3.2.0-4-rt-686-pae - Header files for Linux 3.2.0-4-rt-686-pae
 linux-headers-3.2.0-4-rt-amd64 - Header files for Linux 3.2.0-4-rt-amd64
 linux-headers-3.2.0-4-s390x - Header files for Linux 3.2.0-4-s390x
 linux-headers-3.2.0-4-sb1a-bcm91480b - Header files for Linux 3.2.0-4-sb1a-bcm91480b
 linux-headers-3.2.0-4-sb1-bcm91250a - Header files for Linux 3.2.0-4-sb1-bcm91250a
 linux-headers-3.2.0-4-sh7751r - Header files for Linux 3.2.0-4-sh7751r
 linux-headers-3.2.0-4-sh7785lcr - Header files for Linux 3.2.0-4-sh7785lcr
 linux-headers-3.2.0-4-sparc64 - Header files for Linux 3.2.0-4-sparc64
 linux-headers-3.2.0-4-sparc64-smp - Header files for Linux 3.2.0-4-sparc64-smp
 linux-headers-3.2.0-4-versatile - Header files for Linux 3.2.0-4-versatile
 linux-headers-3.2.0-4-vexpress - Header files for Linux 3.2.0-4-vexpress
 linux-image-3.2.0-4-486 - Linux 3.2 for older PCs
 linux-image-3.2.0-4-4kc-malta - Linux 3.2 for MIPS Malta
 linux-image-3.2.0-4-5kc-malta - Linux 3.2 for MIPS Malta (64-bit)
 linux-image-3.2.0-4-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-686-pae
 linux-image-3.2.0-4-686-pae - Linux 3.2 for modern PCs
 linux-image-3.2.0-4-alpha-generic - Linux 3.2 for Alpha
 linux-image-3.2.0-4-alpha-legacy - Linux 3.2 for Alpha Legacy
 linux-image-3.2.0-4-alpha-smp - Linux 3.2 for Alpha SMP
 linux-image-3.2.0-4-amd64-dbg - Debugging symbols for Linux 3.2.0-4-amd64
 linux-image-3.2.0-4-amd64 - Linux 3.2 for 64-bit PCs
 linux-image-3.2.0-4-amiga - Linux 3.2 for Amiga
 linux-image-3.2.0-4-atari - Linux 3.2 for Atari
 linux-image-3.2.0-4-bvme6000 - Linux 3.2 for BVM BVME4000 and BVME6000
 linux-image-3.2.0-4-iop32x - Linux 3.2 for IOP32x
 linux-image-3.2.0-4-itanium - Linux 3.2 for Itanium
 linux-image-3.2.0-4-ixp4xx - Linux 3.2 for IXP4xx
 linux-image-3.2.0-4-kirkwood - Linux 3.2 for Marvell Kirkwood
 linux-image-3.2.0-4-loongson-2f - Linux 3.2 for Loongson 2F
 linux-image-3.2.0-4-mac - Linux 3.2 for Macintosh
 linux-image-3.2.0-4-mckinley - Linux 3.2 for Itanium II
 linux-image-3.2.0-4-mv78xx0 - Linux 3.2 for Marvell 78xx0
 linux-image-3.2.0-4-mvme147 - Linux 3.2 for Motorola MVME147
 linux-image-3.2.0-4-mvme16x - Linux 3.2 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.2.0-4-mx5 - Linux 3.2 for Freescale i.MX51/53
 linux-image-3.2.0-4-octeon - Linux 3.2 for Octeon
 linux-image-3.2.0-4-omap - Linux 3.2 for TI OMAP3+
 linux-image-3.2.0-4-orion5x - Linux 3.2 for Marvell Orion
 linux-image-3.2.0-4-parisc64 - Linux 3.2 for 64-bit PA-RISC
 linux-image-3.2.0-4-parisc64-smp - Linux 3.2 for multiprocessor 64-bit PA-RISC
 linux-image-3.2.0-4-parisc - Linux 3.2 for 32-bit PA-RISC
 linux-image-3.2.0-4-parisc-smp - Linux 3.2 for multiprocessor 32-bit PA-RISC
 linux-image-3.2.0-4-powerpc64 - Linux 3.2 for 64-bit PowerPC
 linux-image-3.2.0-4-powerpc - Linux 3.2 for uniprocessor 32-bit PowerPC
 linux-image-3.2.0-4-powerpc-smp - Linux 3.2 for multiprocessor 32-bit PowerPC
 linux-image-3.2.0-4-r4k-ip22 - Linux 3.2 for SGI IP22
 linux-image-3.2.0-4-r5k-cobalt - Linux 3.2 for Cobalt
 linux-image-3.2.0-4-r5k-ip32 - Linux 3.2 for SGI IP32
 linux-image-3.2.0-4-rt-686-pae-dbg - Debugging symbols for Linux 3.2.0-4-rt-686-pae
 linux-image-3.2.0-4-rt-686-pae - Linux 3.2 for modern PCs, PREEMPT_RT
 linux-image-3.2.0-4-rt-amd64-dbg - Debugging symbols for Linux 3.2.0-4-rt-amd64
 linux-image-3.2.0-4-rt-amd64 - Linux 3.2 for 64-bit PCs, PREEMPT_RT
 linux-image-3.2.0-4-s390x-dbg - Debugging symbols for Linux 3.2.0-4-s390x
 linux-image-3.2.0-4-s390x - Linux 3.2 for IBM zSeries
 linux-image-3.2.0-4-s390x-tape - Linux 3.2 for IBM zSeries, IPL from tape
 linux-image-3.2.0-4-sb1a-bcm91480b - Linux 3.2 for BCM91480B
 linux-image-3.2.0-4-sb1-bcm91250a - Linux 3.2 for BCM91250A
 linux-image-3.2.0-4-sh7751r - Linux 3.2 for sh7751r
 linux-image-3.2.0-4-sh7785lcr - Linux 3.2 for sh7785lcr
 linux-image-3.2.0-4-sparc64 - Linux 3.2 for uniprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-sparc64-smp - Linux 3.2 for multiprocessor 64-bit UltraSPARC
 linux-image-3.2.0-4-versatile - Linux 3.2 for Versatile
 linux-image-3.2.0-4-vexpress - Linux 3.2 for ARM Ltd. Versatile Express
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.2 - Linux kernel API manual pages for version 3.2
 linux-source-3.2 - Linux kernel source for version 3.2 with Debian patches
 linux-support-3.2.0-4 - Support files for Linux 3.2
 loop-modules-3.2.0-4-486-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-4kc-malta-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-686-pae-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-amd64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-iop32x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-itanium-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-kirkwood-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-loongson-2f-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-mx5-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-orion5x-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-parisc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc64-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-powerpc-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r4k-ip22-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-cobalt-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-r5k-ip32-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sb1-bcm91250a-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7751r-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-sh7785lcr-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-versatile-di - Loopback filesystem support (udeb)
 loop-modules-3.2.0-4-vexpress-di - Loopback filesystem support (udeb)
 md-modules-3.2.0-4-486-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-4kc-malta-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-686-pae-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amd64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-amiga-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-atari-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-iop32x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-itanium-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-kirkwood-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-loongson-2f-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mac-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-mx5-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-orion5x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-parisc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-powerpc-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r4k-ip22-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-cobalt-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-r5k-ip32-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-s390x-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sb1-bcm91250a-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7751r-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sh7785lcr-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-sparc64-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-versatile-di - RAID and LVM support (udeb)
 md-modules-3.2.0-4-vexpress-di - RAID and LVM support (udeb)
 minix-modules-3.2.0-4-kirkwood-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-mx5-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-orion5x-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7751r-di - Minix filesystem support (udeb)
 minix-modules-3.2.0-4-sh7785lcr-di - Minix filesystem support (udeb)
 mmc-core-modules-3.2.0-4-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-686-pae-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-3.2.0-4-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-3.2.0-4-486-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-686-pae-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-amd64-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-kirkwood-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-mx5-di - MMC/SD card modules (udeb)
 mmc-modules-3.2.0-4-vexpress-di - MMC/SD card modules (udeb)
 mouse-modules-3.2.0-4-486-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-686-pae-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-amd64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-itanium-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-kirkwood-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc64-di - Mouse support (udeb)
 mouse-modules-3.2.0-4-powerpc-di - Mouse support (udeb)
 mtd-modules-3.2.0-4-mx5-di - MTD modules (udeb)
 multipath-modules-3.2.0-4-486-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-4kc-malta-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-686-pae-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-amd64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-iop32x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-itanium-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-kirkwood-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-loongson-2f-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-mx5-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-orion5x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-parisc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-powerpc-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r4k-ip22-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-cobalt-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-r5k-ip32-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-s390x-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sb1-bcm91250a-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7751r-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sh7785lcr-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-sparc64-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-versatile-di - Multipath support (udeb)
 multipath-modules-3.2.0-4-vexpress-di - Multipath support (udeb)
 nbd-modules-3.2.0-4-486-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-4kc-malta-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-686-pae-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amd64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-amiga-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-atari-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-iop32x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-itanium-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-kirkwood-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-loongson-2f-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mac-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-mx5-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-orion5x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-parisc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-powerpc-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r4k-ip22-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-cobalt-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-r5k-ip32-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-s390x-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sb1-bcm91250a-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7751r-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sh7785lcr-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-sparc64-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-versatile-di - Network Block Device modules (udeb)
 nbd-modules-3.2.0-4-vexpress-di - Network Block Device modules (udeb)
 nfs-modules-3.2.0-4-r5k-cobalt-di - NFS filesystem support (udeb)
 nic-extra-modules-3.2.0-4-486-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-686-pae-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-amd64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc64-di - Rare NIC drivers (udeb)
 nic-extra-modules-3.2.0-4-powerpc-di - Rare NIC drivers (udeb)
 nic-modules-3.2.0-4-486-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-686-pae-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-amd64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-iop32x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-itanium-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-kirkwood-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-loongson-2f-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-orion5x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-parisc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc64-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-powerpc-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-s390x-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7751r-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sh7785lcr-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-sparc64-di - Network card modules for Sparc kernels (udeb)
 nic-modules-3.2.0-4-versatile-di - Common NIC drivers (udeb)
 nic-modules-3.2.0-4-vexpress-di - Common NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-486-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA NIC drivers (udeb)
 nic-pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-686-pae-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amd64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-amiga-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-atari-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-iop32x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-itanium-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-kirkwood-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-loongson-2f-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mac-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-mx5-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-orion5x-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc64-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-powerpc-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r4k-ip22-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-cobalt-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-r5k-ip32-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-sb1-bcm91250a-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-versatile-di - Shared NIC drivers (udeb)
 nic-shared-modules-3.2.0-4-vexpress-di - Shared NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-486-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-686-pae-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-amd64-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-iop32x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-itanium-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-kirkwood-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-loongson-2f-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-mx5-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-orion5x-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7751r-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-sh7785lcr-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-versatile-di - USB NIC drivers (udeb)
 nic-usb-modules-3.2.0-4-vexpress-di - USB NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-686-pae-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-amd64-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-mx5-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-3.2.0-4-vexpress-di - Wireless NIC drivers (udeb)
 ntfs-modules-3.2.0-4-486-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-686-pae-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-amd64-di - NTFS filesystem support (udeb)
 ntfs-modules-3.2.0-4-itanium-di - NTFS filesystem support (udeb)
 parport-modules-3.2.0-4-486-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-686-pae-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-amd64-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-itanium-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7751r-di - Parallel port support (udeb)
 parport-modules-3.2.0-4-sh7785lcr-di - Parallel port support (udeb)
 pata-modules-3.2.0-4-486-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-686-pae-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-amd64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-iop32x-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-itanium-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-mx5-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-parisc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc64-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-powerpc-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7751r-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sh7785lcr-di - PATA drivers (udeb)
 pata-modules-3.2.0-4-sparc64-di - PATA drivers (udeb)
 pcmcia-modules-3.2.0-4-486-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-686-pae-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-amd64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-itanium-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc64-di - Common PCMCIA drivers (udeb)
 pcmcia-modules-3.2.0-4-powerpc-di - Common PCMCIA drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-486-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-686-pae-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-amd64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc64-di - PCMCIA storage drivers (udeb)
 pcmcia-storage-modules-3.2.0-4-powerpc-di - PCMCIA storage drivers (udeb)
 plip-modules-3.2.0-4-486-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-686-pae-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-amd64-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-itanium-di - PLIP drivers (udeb)
 plip-modules-3.2.0-4-sparc64-di - PLIP drivers (udeb)
 ppp-modules-3.2.0-4-486-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-4kc-malta-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-686-pae-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amd64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-amiga-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-atari-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-iop32x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-itanium-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-kirkwood-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-loongson-2f-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-mac-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-orion5x-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-parisc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-powerpc-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-r5k-cobalt-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sb1-bcm91250a-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7751r-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sh7785lcr-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-sparc64-di - PPP drivers (udeb)
 ppp-modules-3.2.0-4-versatile-di - PPP drivers (udeb)
 qnx4-modules-3.2.0-4-486-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-686-pae-di - QNX4 filesystem support (udeb)
 qnx4-modules-3.2.0-4-amd64-di - QNX4 filesystem support (udeb)
 reiserfs-modules-3.2.0-4-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-4kc-malta-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-686-pae-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amd64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-amiga-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-atari-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-iop32x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-itanium-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-kirkwood-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-loongson-2f-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mac-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-mx5-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-orion5x-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-powerpc-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r4k-ip22-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-cobalt-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-r5k-ip32-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sb1-bcm91250a-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7751r-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sh7785lcr-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-sparc64-di - Reiser filesystem support (udeb)
 reiserfs-modules-3.2.0-4-versatile-di - Reiser filesystem support (udeb)
 rtc-modules-3.2.0-4-sb1-bcm91250a-di - RTC modules (udeb)
 sata-modules-3.2.0-4-486-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-4kc-malta-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-686-pae-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-amd64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-iop32x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-itanium-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-kirkwood-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-loongson-2f-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-mx5-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-orion5x-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-powerpc-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sb1-bcm91250a-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7751r-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sh7785lcr-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-sparc64-di - SATA drivers (udeb)
 sata-modules-3.2.0-4-versatile-di - SATA drivers (udeb)
 scsi-common-modules-3.2.0-4-486-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-686-pae-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-amd64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-powerpc-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sb1-bcm91250a-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-sparc64-di - Very common SCSI drivers (udeb)
 scsi-common-modules-3.2.0-4-versatile-di - Very common SCSI drivers (udeb)
 scsi-core-modules-3.2.0-4-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-686-pae-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-amd64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-iop32x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-itanium-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-kirkwood-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-mx5-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-orion5x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-parisc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-powerpc-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-s390x-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sb1-bcm91250a-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7751r-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sh7785lcr-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-sparc64-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-versatile-di - Core SCSI subsystem (udeb)
 scsi-core-modules-3.2.0-4-vexpress-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-3.2.0-4-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-686-pae-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc64-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-3.2.0-4-powerpc-di - Uncommon SCSI drivers (udeb)
 scsi-modules-3.2.0-4-486-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-686-pae-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amd64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-amiga-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-atari-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-itanium-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-mac-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-parisc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc64-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-powerpc-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-s390x-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sb1-bcm91250a-di - SCSI drivers (udeb)
 scsi-modules-3.2.0-4-sparc64-di - SCSI drivers (udeb)
 serial-modules-3.2.0-4-486-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-686-pae-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-amd64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-itanium-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc64-di - Serial drivers (udeb)
 serial-modules-3.2.0-4-powerpc-di - Serial drivers (udeb)
 sn-modules-3.2.0-4-itanium-di - SN modules (udeb)
 sound-modules-3.2.0-4-486-di - sound support (udeb)
 sound-modules-3.2.0-4-686-pae-di - sound support (udeb)
 sound-modules-3.2.0-4-amd64-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7751r-di - sound support (udeb)
 sound-modules-3.2.0-4-sh7785lcr-di - sound support (udeb)
 speakup-modules-3.2.0-4-486-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-686-pae-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-amd64-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7751r-di - speakup modules (udeb)
 speakup-modules-3.2.0-4-sh7785lcr-di - speakup modules (udeb)
 squashfs-modules-3.2.0-4-486-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-4kc-malta-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-686-pae-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amd64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-amiga-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-atari-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-iop32x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-itanium-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-kirkwood-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-loongson-2f-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mac-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-mx5-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-orion5x-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-powerpc-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r4k-ip22-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-cobalt-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-r5k-ip32-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sb1-bcm91250a-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7751r-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sh7785lcr-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-sparc64-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-versatile-di - squashfs modules (udeb)
 squashfs-modules-3.2.0-4-vexpress-di - squashfs modules (udeb)
 udf-modules-3.2.0-4-486-di - UDF modules (udeb)
 udf-modules-3.2.0-4-4kc-malta-di - UDF modules (udeb)
 udf-modules-3.2.0-4-686-pae-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amd64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-amiga-di - UDF modules (udeb)
 udf-modules-3.2.0-4-atari-di - UDF modules (udeb)
 udf-modules-3.2.0-4-iop32x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-itanium-di - UDF modules (udeb)
 udf-modules-3.2.0-4-kirkwood-di - UDF modules (udeb)
 udf-modules-3.2.0-4-loongson-2f-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mac-di - UDF modules (udeb)
 udf-modules-3.2.0-4-mx5-di - UDF modules (udeb)
 udf-modules-3.2.0-4-orion5x-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-powerpc-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r4k-ip22-di - UDF modules (udeb)
 udf-modules-3.2.0-4-r5k-ip32-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sb1-bcm91250a-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7751r-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sh7785lcr-di - UDF modules (udeb)
 udf-modules-3.2.0-4-sparc64-di - UDF modules (udeb)
 udf-modules-3.2.0-4-versatile-di - UDF modules (udeb)
 udf-modules-3.2.0-4-vexpress-di - UDF modules (udeb)
 ufs-modules-3.2.0-4-486-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-686-pae-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-amd64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-itanium-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc64-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-powerpc-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7751r-di - UFS filesystem support (udeb)
 ufs-modules-3.2.0-4-sh7785lcr-di - UFS filesystem support (udeb)
 uinput-modules-3.2.0-4-486-di - uinput support (udeb)
 uinput-modules-3.2.0-4-686-pae-di - uinput support (udeb)
 uinput-modules-3.2.0-4-amd64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-itanium-di - uinput support (udeb)
 uinput-modules-3.2.0-4-kirkwood-di - uinput support (udeb)
 uinput-modules-3.2.0-4-mx5-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc64-di - uinput support (udeb)
 uinput-modules-3.2.0-4-powerpc-di - uinput support (udeb)
 uinput-modules-3.2.0-4-vexpress-di - uinput support (udeb)
 usb-modules-3.2.0-4-486-di - USB support (udeb)
 usb-modules-3.2.0-4-4kc-malta-di - USB support (udeb)
 usb-modules-3.2.0-4-686-pae-di - USB support (udeb)
 usb-modules-3.2.0-4-amd64-di - USB support (udeb)
 usb-modules-3.2.0-4-iop32x-di - USB support (udeb)
 usb-modules-3.2.0-4-itanium-di - USB support (udeb)
 usb-modules-3.2.0-4-kirkwood-di - USB support (udeb)
 usb-modules-3.2.0-4-loongson-2f-di - USB support (udeb)
 usb-modules-3.2.0-4-orion5x-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc64-di - USB support (udeb)
 usb-modules-3.2.0-4-parisc-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc64-di - USB support (udeb)
 usb-modules-3.2.0-4-powerpc-di - USB support (udeb)
 usb-modules-3.2.0-4-sb1-bcm91250a-di - USB support (udeb)
 usb-modules-3.2.0-4-sparc64-di - USB support (udeb)
 usb-modules-3.2.0-4-versatile-di - USB support (udeb)
 usb-modules-3.2.0-4-vexpress-di - USB support (udeb)
 usb-serial-modules-3.2.0-4-486-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-686-pae-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-amd64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-iop32x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-kirkwood-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-orion5x-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc64-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-powerpc-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7751r-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-sh7785lcr-di - USB serial drivers (udeb)
 usb-serial-modules-3.2.0-4-versatile-di - USB serial drivers (udeb)
 usb-storage-modules-3.2.0-4-486-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-4kc-malta-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-686-pae-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-amd64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-iop32x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-itanium-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-kirkwood-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-loongson-2f-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-mx5-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-orion5x-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-parisc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-powerpc-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sb1-bcm91250a-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sh7751r-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-sparc64-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-versatile-di - USB storage support (udeb)
 usb-storage-modules-3.2.0-4-vexpress-di - USB storage support (udeb)
 virtio-modules-3.2.0-4-486-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-4kc-malta-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-686-pae-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-amd64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-loongson-2f-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-powerpc-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-s390x-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sh7751r-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-sparc64-di - virtio modules (udeb)
 virtio-modules-3.2.0-4-versatile-di - virtio modules (udeb)
 xen-linux-system-3.2.0-4-686-pae - Xen system with Linux 3.2 on modern PCs (meta-package)
 xen-linux-system-3.2.0-4-amd64 - Xen system with Linux 3.2 on 64-bit PCs (meta-package)
 xfs-modules-3.2.0-4-486-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-4kc-malta-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-686-pae-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-amd64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-itanium-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-loongson-2f-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc64-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-powerpc-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r4k-ip22-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-cobalt-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-r5k-ip32-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-s390x-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sb1-bcm91250a-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7751r-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sh7785lcr-di - XFS filesystem support (udeb)
 xfs-modules-3.2.0-4-sparc64-di - XFS filesystem support (udeb)
 zlib-modules-3.2.0-4-486-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-4kc-malta-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-686-pae-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amd64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-amiga-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-atari-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-iop32x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-itanium-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-loongson-2f-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-mac-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-orion5x-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-parisc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-powerpc-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r4k-ip22-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-cobalt-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-r5k-ip32-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sb1-bcm91250a-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7751r-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sh7785lcr-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-sparc64-di - zlib modules (udeb)
 zlib-modules-3.2.0-4-versatile-di - zlib modules (udeb)
Changes: 
 linux (3.2.39-1) unstable; urgency=high
 .
   * New upstream stable update:
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.36
     - freezer: PF_FREEZER_NOSIG should be cleared along with PF_NOFREEZE
       (Closes: #697077)
     - tmpfs: fix shared mempolicy leak
     - virtio: 9p: correctly pass physical address to userspace for high pages
     - virtio: force vring descriptors to be allocated from lowmem
     - USB: EHCI: bugfix: urb->hcpriv should not be NULL
     - rcu: Fix batch-limit size problem
     - Bluetooth: ath3k: Add support for VAIO VPCEH [0489:e027]
       (Closes: #700550)
     - mvsas: fix undefined bit shift
     - ALSA: usb-audio: Avoid autopm calls after disconnection; Fix missing
       autopm for MIDI input (Closes: #664068)
     - target/file: Fix 32-bit highmem breakage for SGL -> iovec mapping
     - SCSI: fix Null pointer dereference on disk error
     - proc: pid/status: show all supplementary groups
     - nfsd4: fix oops on unusual readlike compound
     - ARM: missing ->mmap_sem around find_vma() in swp_emulate.c
     - sctp: fix memory leak in sctp_datamsg_from_user() when copy from user
       space fails
     - ne2000: add the right platform device
     - irda: sir_dev: Fix copy/paste typo
     - ipv4: ip_check_defrag must not modify skb before unsharing
     - telephony: ijx: buffer overflow in ixj_write_cid()
     - udf: fix memory leak while allocating blocks during write
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.37
     - ext4: fix extent tree corruption caused by hole punch
     - jbd2: fix assertion failure in jbd2_journal_flush()
     - tmpfs mempolicy: fix /proc/mounts corrupting memory
     - sparc: huge_ptep_set_* functions need to call set_huge_pte_at()
     - inet: Fix kmemleak in tcp_v4/6_syn_recv_sock and
       dccp_v4/6_request_recv_sock
     - net: sched: integer overflow fix
     - tcp: implement RFC 5961 3.2
     - tcp: implement RFC 5961 4.2
     - tcp: refine SYN handling in tcp_validate_incoming
     - tcp: tcp_replace_ts_recent() should not be called from
       tcp_validate_incoming()
     - tcp: RFC 5961 5.2 Blind Data Injection Attack Mitigation
     - RDMA/nes: Fix for crash when registering zero length MR for CQ
     - ACPI : do not use Lid and Sleep button for S5 wakeup
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.38
     - staging: comedi: comedi_test: fix race when cancelling command
     - mm: use aligned zone start for pfn_to_bitidx calculation
     - [s390] s390/time: fix sched_clock() overflow (Closes: #698382)
     - [i386] xen: Fix stack corruption in xen_failsafe_callback for 32bit
       PVOPS guests. (CVE-2013-0190)
     - KVM: PPC: Emulate dcbf
     - evm: checking if removexattr is not a NULL
     - ath9k_htc: Fix memory leak
     - ath9k: do not link receive buffers during flush
     - ath9k: fix double-free bug on beacon generate failure
     - x86/msr: Add capabilities check
     - can: c_can: fix invalid error codes
     - can: ti_hecc: fix invalid error codes
     - can: pch_can: fix invalid error codes
     - smp: Fix SMP function call empty cpu mask race
     - xfs: Fix possible use-after-free with AIO
     - EDAC: Test correct variable in ->store function
     - samsung-laptop: Disable on EFI hardware, to avoid damaging it
     - NFS: Don't silently fail setattr() requests on mountpoints
     - intel-iommu: Prevent devices with RMRRs from being placed into SI Domain
     - ALSA: usb-audio: Fix regression by disconnection-race-fix patch
       (Closes: #696321)
     - printk: fix buffer overflow when calling log_prefix function from
       call_console_drivers
     http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.39
     - USB: XHCI: fix memory leak of URB-private data
     - sched/rt: Use root_domain of rt_rq not current processor
     - mwifiex: fix incomplete scan in case of IE parsing error
     - x86-64: Replace left over sti/cli in ia32 audit exit code
     - Bluetooth: Fix handling of unexpected SMP PDUs
     - ptrace/x86: Partly fix set_task_blockstep()->update_debugctlmsr() logic
     - Fix race condition with PTRACE_SETREGS and fatal signal (CVE-2013-0871)
       + ptrace: introduce signal_wake_up_state() and ptrace_signal_wake_up()
       + ptrace: ensure arch_ptrace/ptrace_request can never race with SIGKILL
       + wake_up_process() should be never used to wakeup a TASK_STOPPED/TRACED
         task
     - net: prevent setting ttl=0 via IP_TTL
     - ipv6: fix header length calculation in ip6_append_data()
     - netxen: fix off by one bug in netxen_release_tx_buffer()
     - r8169: remove the obsolete and incorrect AMD workaround
     - net: loopback: fix a dst refcounting issue
     - packet: fix leakage of tx_ring memory
     - net: sctp: sctp_setsockopt_auth_key: use kzfree instead of kfree
     - net: sctp: sctp_endpoint_free: zero out secret key data
     - xen/netback: shutdown the ring if it contains garbage. (CVE-2013-0216)
     - xen/netback: don't leak pages on failure in xen_netbk_tx_check_gop.
     - xen/netback: free already allocated memory on failure in
       xen_netbk_get_requests
     - netback: correct netbk_tx_err to handle wrap around. (CVE-2013-0217)
     - tcp: frto should not set snd_cwnd to 0
     - tcp: fix for zero packets_in_flight was too broad
     - tcp: fix MSG_SENDPAGE_NOTLAST logic
     - bridge: Pull ip header into skb->data before looking into ip header.
       (Closes: #697903)
     - x86/xen: don't assume %ds is usable in xen_iret for 32-bit PVOPS.
       (CVE-2013-0228)
 .
   [ Aurelien Jarno ]
   * [armhf/vexpress] Add kernel udebs.
 .
   [ Julien Cristau ]
   * Backport drm and agp subsystems from Linux 3.4.29 (closes: #687442)
     - [x86] i915: Fixes freezes on Ivy Bridge (Closes: #689268)
     - nouveau: Support for newer nvidia chipsets (Closes: #690284)
     - radeon: Support for HD7000 'Southern Islands' chips
     - [x86] drm/i915: add Ivy Bridge GT2 Server entries (Closes: #684767)
     - [x86] drm/i915: Close race between processing unpin task and queueing
       the flip
 .
   [ Ben Hutchings ]
   * Input: wacom - fix touch support for Bamboo Fun CTH-461
   * media/rc: Add iguanair driver from Linux 3.7 (Closes: #696925)
   * rt2800: add chipset revision RT5390R support (Closes: #696592)
   * [armhf/mx5] mtd: Enable MTD_BLOCK as module
   * [armhf/mx5] udeb: Add missing storage drivers (Closes: #697128)
     - Add ata-modules including libata, pata-modules including pata_imx,
       sata-modules including ahci_platform
     - Add sdhci-esdhc-imx to mmc-modules
     - Add mtd-modules including mtd, mtdblock and m25p80
   * [armhf] udeb: Fix network driver selection
     - [armhf/mx5] Remove nic-modules
     - [armhf/vexpress] Add usb-modules
     - Add standard set of USB drivers to nic-usb-modules
     - Add nic-wireless-modules
   * be2net: Apply backported fixes requested by Emulex (Closes: #697479)
     - be2net: do not modify PCI MaxReadReq size
     - be2net: fix reporting number of actual rx queues
     - be2net: do not use SCRATCHPAD register
     - be2net: reduce gso_max_size setting to account for ethernet header.
     - be2net: Increase statistics structure size for skyhawk.
     - be2net: Explicitly clear the reserved field in the Tx Descriptor
     - be2net: Regression bug wherein VFs creation broken for multiple cards.
     - be2net: Fix to trim skb for padded vlan packets to workaround an ASIC Bug
     - be2net: Fix Endian
     - be2net: Enable RSS UDP hashing for Lancer and Skyhawk
     - be2net: dont pull too much data in skb linear part
     - be2net: Fix to parse RSS hash from Receive completions correctly.
     - be2net: Avoid disabling BH in be_poll()
   * udeb: Add specialised USB keyboard/mouse drivers to input-modules:
     hid-a4tech, hid-cypress, hid-ezkey (Closes: #697035), hid-kensington,
     hid-keytouch, hid-kye, hid-multitouch, hid-ortek, hid-primax,
     hid-quanta, hid-samsung, hid-speedlink
   * radeon: Firmware is required for DRM and KMS on R600 onward, but not
     for KMS on earlier chips (Closes: #697229)
   * [!powerpc] radeon: Reenable DRM_RADEON_KMS, as it apparently works on
     most non-PowerMac systems
   * fs: cachefiles: add support for large files in filesystem caching
     (Closes: #698376)
   * [rt] Update to 3.2.38-rt57:
     - sched: Adjust sched_reset_on_fork when nothing else changes
     - sched: Queue RT tasks to head when prio drops
     - sched: Consider pi boosting in setscheduler
     - sched: Init idle->on_rq in init_idle()
     - sched: Check for idle task in might_sleep()
     - mm: swap: Initialize local locks early
   * [armel/versatile,armhf/vexpress] i2c: Enable I2C, I2C_VERSATILE as modules
     (Closes: #696182)
   * ext4: Fix corruption by hole punch in large files (Closes: #685726)
     - rewrite punch hole to use ext4_ext_remove_space()
     - fix hole punch failure when depth is greater than 0
     - fix kernel BUG on large-scale rm -rf commands
   * md: protect against crash upon fsync on ro array (Closes: #696650)
   * net: Add alx driver for Atheros AR8161 and AR8162 (Closes: #699129)
     - Mark as staging, since it has not been accepted upstream
   * [armel/kirkwood] rtc-s35390a: add wakealarm support (Closes: #693997)
   * [x86] i915: Invert backlight brightness control for various models
     including Packard Bell NCL20 (Closes: #627372) and eMachines G725
     (Closes: #680737)
     - Also allow this behaviour to be enabled via module parameter
       invert_brightness=1
   * [amd64] edac: Enable EDAC_SBRIDGE as module (Closes: #699283)
   * SCSI: Add virtio_scsi driver (Closes: #686636)
   * [x86] sound: Enable LINE6_USB as module (Closes: #700211)
     - Apply upstream changes up to Linux 3.8-rc1
   * [armhf/mx5] Update description to mention i.MX53
   * mm: Try harder to allocate vmemmap blocks (Closes: #699913)
   * aufs: Update to aufs3.2-20130204:
     - support for syncfs(2)
     - possible bugfix, race in lookup
     - bugfix, half refreshed iinfo
     - possible bugfix, au_lkup_by_ino() returns ESTALE
   * [x86] efi: Clear EFI_RUNTIME_SERVICES rather than EFI_BOOT by "noefi" boot
     parameter
   * [x86] efi: Make "noefi" really disable EFI runtime serivces
   * drm, agp: Update to 3.4.32
     - drm/radeon: add WAIT_UNTIL to the non-VM safe regs list for cayman/TN
     - drm/radeon: prevent crash in the ring space allocation
   * linux-image-dbg: Add symlinks to vmlinux from the locations expected by
     kdump-tools (Closes: #700418), systemtap and others
   * mm: fix pageblock bitmap allocation (fixes regression in 3.2.38)
   * USB: usb-storage: unusual_devs update for Super TOP SATA bridge
 .
   [ Cyril Brulebois ]
   * Bump python build-dep, needed since the switch from local SortedDict
     to collections.OrderedDict (new in version 2.7). (Closes: #697740)
Checksums-Sha1: 
 b825a7790433d86564288fbf5a2c8408934d181f 103143 linux_3.2.39-1.dsc
 62b137cb2afa8abed1ed8d4f27ab4badddc5472c 65857136 linux_3.2.39.orig.tar.xz
 bf07bb2a274e7d239f27d8dc04a3db1899778820 3188844 linux_3.2.39-1.debian.tar.xz
 49f279e48592def704b6d69ed117bce99d7ee315 6369132 linux-doc-3.2_3.2.39-1_all.deb
 a613cc81d2275615a21fb3d87074d3b717b38e1a 208810 linux-support-3.2.0-4_3.2.39-1_all.deb
 e12aa9664dd6e3acdfbe11ebeaf00e6c4e551f9a 2922570 linux-manual-3.2_3.2.39-1_all.deb
 10965770bda0f571310dc5977329edc9de893ec3 77341558 linux-source-3.2_3.2.39-1_all.deb
Checksums-Sha256: 
 d3fadac85116c4501afa3b12abbebca21987c50fad56128faf0608f5be616035 103143 linux_3.2.39-1.dsc
 663eb090fc2d7d5a3d0dc613a662baf44c5e0057a9e99b404299ee25546e7a91 65857136 linux_3.2.39.orig.tar.xz
 5332b4729956b341230cbbaff06fda0c51347e68a054c791e35a10898143ff13 3188844 linux_3.2.39-1.debian.tar.xz
 50f88415629acb944507de5ff6313b90c0d62d8acf8c4c7d0774aaaca1dde870 6369132 linux-doc-3.2_3.2.39-1_all.deb
 ebb51c3fbf3d9007c82d3b8e83531c09dbe8764ace89f991385e58659a5bd637 208810 linux-support-3.2.0-4_3.2.39-1_all.deb
 3310bd30cfbc314ac36d631059261e77651cf72ae7bb620a2bfbc632fd7fe755 2922570 linux-manual-3.2_3.2.39-1_all.deb
 8d17323e0703c9e575bb9123feb3401d4d6c4f6179209065837c9b0f324294ff 77341558 linux-source-3.2_3.2.39-1_all.deb
Files: 
 fa7b08659be983d8cab0351706786d28 103143 kernel optional linux_3.2.39-1.dsc
 e87c31f09dd449d009b9f367f9c64d7b 65857136 kernel optional linux_3.2.39.orig.tar.xz
 9f2569ffac400ae07c1cd7da4e2a13c3 3188844 kernel optional linux_3.2.39-1.debian.tar.xz
 d69bf3acfaf9968a398e285be678ce17 6369132 doc optional linux-doc-3.2_3.2.39-1_all.deb
 7c9b82e7b3d68bf62dceb7dfac6d0a14 208810 devel optional linux-support-3.2.0-4_3.2.39-1_all.deb
 5f18c37894120f162b9f3626ad519b58 2922570 doc optional linux-manual-3.2_3.2.39-1_all.deb
 403844f6f653a37db8837c1f8d3bb636 77341558 kernel optional linux-source-3.2_3.2.39-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBUSrhO+e/yOyVhhEJAQr9JRAApFIqaIkQ8C0rG4s4rh7GIv8MV1QpRg9M
6iCI+s0aYfdFpGxW7B/5CvUttxKn+aLxeeJKld2Ycqnt458Q6nbT5wIA3Y5bnx+E
gLMHouKBLjURaQ8rnTN0YvRJr8uauE/2qz+wsi2NJxwvf+2j9K9pkYsAGo+a6iWQ
nci5H/TvYhR1xpVs5ukJY1Ub//R0I0Be/QKlBWLMOvvqSTKHXv0rLCL9WrJTJaVz
mrTOb8bDc0bvb5mC1RR509jCYwD6uKlgWBRhQCMsXJjr+y6dfsIg6wJWQRqOiPB7
Qdf3paFdaQ35Bhn300KGHLEXSD84E9p/s5mdwX8kH9gZh6pow2IeyEZJxqS5daKE
fO2od2fCfR8/LXyz9OXkHx3/gQLTewPhsu0JtAQ3f6rSVNo4dlnQf23GBtpFQGAm
yxIEtwQ9x6x0xW99pJW3TUGHMBwefoRvuCArCs3HJkvWZfmpbDd4uj0XFnrC1Gvr
L/EUglUDKA0VBK3vsrv/49OVnIfexvZaJbZXzjKESeuMGAOXLj0cWf/+I8R97YJV
0jJkIvIxzFl2s8N3fFoKmGjMpHvVzgItx/VN/pGwSJiVZOOQXU01Z/Y4rHDFLZNI
74iUkRjyYg9RjMAk+GRA7aQKm0Nnd3gdM6453Q/DGYgTPrUcl70kbAIkhCYfj6C0
Ga4UPZ5r9r8=
=KJF6
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Feb 2013 07:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Thu, 14 Mar 2013 10:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to hrayr@infotech.am:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Mar 2013 10:54:04 GMT) Full text and rfc822 format available.

Message #100 received at 685726@bugs.debian.org (full text, mbox):

From: hrayr@infotech.am
To: 685726@bugs.debian.org
Subject: ext4 bug for kernel linux-image-3.2.0-4-amd64 (3.2.39-2).
Date: Thu, 14 Mar 2013 14:10:01 +0400
Today I have upgraded the kernel, now it is linux-image-3.2.0-4-amd64
(3.2.39-2).
I think we have to reopen the bug, because it seems that the bug is not
solved but just suppressed the warning messages.
It is not just my thoughts; everyone can make sure executing couple of
command.



df     ( will show the free space of partition, f.x. 200GB free)

dd /dev/zero of=IMG_FILE bs=1M count=128k    (will create image file, with
size 128GB)

df     ( now we can see that the partition free space is 72GB, because we
have 128GB image file on it)

mkfs -t ext4 IMG_FILE        (will format image file, without any error
messages or warnings!!!)

df     ( after the formatting process is finished, "df" will show that we
have 200GB free space, and "ls -al" will show that we also have file
IMG_FILE on the partition, with the size 128GB!!!)



This effect is exactly the same as it was before, but with one small
difference: the error messages suppressed, and we haven't chance to see
errors.
It is worst. We have the bug, but haven't error messages.


Please take into account that I haven’t created the "sparse" file, in the
case of "sparse file" it is normal when you have 128 GB file on 200 GB
partition and the command "df" is show that 200 GB is still free.



Hrayr.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#685726; Package src:linux. (Thu, 14 Mar 2013 12:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Mar 2013 12:24:03 GMT) Full text and rfc822 format available.

Message #105 received at 685726@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: hrayr@infotech.am, 685726@bugs.debian.org
Subject: Re: Bug#685726: ext4 bug for kernel linux-image-3.2.0-4-amd64 (3.2.39-2).
Date: Thu, 14 Mar 2013 13:20:59 +0100
On Thu, Mar 14, 2013 at 02:10:01PM +0400, hrayr@infotech.am wrote:
> This effect is exactly the same as it was before, but with one small
> difference: the error messages suppressed, and we haven't chance to see
> errors.
> It is worst. We have the bug, but haven't error messages.

The original bug was inside the punch hole functionality, aka the
resulting file should be sparse.

> Please take into account that I haven’t created the "sparse" file, in the
> case of "sparse file" it is normal when you have 128 GB file on 200 GB
> partition and the command "df" is show that 200 GB is still free.

Yes, you do. mkfs.ext4 takes the liberty to discard anything that it
useless anyway.

Bastian

-- 
Spock: We suffered 23 casualties in that attack, Captain.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 May 2013 07:29:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:09:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.